<?php

require(SERVER_PATH . '4app/library/smarty-3.1.27/Smarty.class.php');
require(SERVER_PATH . '4app/rzo-app/Controller.php');

class rzo_app extends Smarty {

    var $actual_page;
    var $avars;
    var $controller;
    var $contrllerOrg;
    var $action;
    var $si_ajax;
    var $_server;
    var $cache_time;
    var $id_page;
    var $id_page_txt;


    /* posicionamiento */
    var $pg_title;
    var $pg_desc;
    var $pg_img;
    var $maintpl = "main";
    var $ob_current_page;
    var $obContact;
    var $_is_mobile;

    function __construct() {
        parent::__construct();

        /* Smarty */
        $this->debugging = false;
        $this->caching = false;
        $this->compile_check = true;

        $this->cache_time = 0; // 300 = 5 minutos

        /* Estos valores no cambian */

        $this->template_dir = SERVER_PATH . '4app/view/templates/';
        $this->compile_dir = SERVER_PATH . '4app/view/templates_c/';
        $this->config_dir = SERVER_PATH . '4app/view/configs/';
        $this->cache_dir = SERVER_PATH . '4app/view/cache/';

        $this->assign("SERVER_NAME", SERVER_NAME);
        $this->assign("SERVER_ADMIN", SERVER_ADMIN);
        $this->assign("SERVER_GALLERY", SERVER_GALLERY);



        $this->avars = array();
        $this->si_ajax = false;
        if (isset($_POST['ajax']) && $_POST['ajax'] == "1") {
            $this->si_ajax = true;
        }


        $this->assign("urlPage", $this->url("index"));

        if ($this->_is_mobile) {
            $this->maintpl = "mobile_main";
        }
        $this->web_router();
    }

    function display_web() {
        $this->pg_title = "";
        //$this->pg_img = SERVER_NAME . "4app/assets/images/img/logo.png";
        $className = $this->controller . "Controller";
        //echo $className; exit;
        $patch_class = SERVER_PATH . "4app/controllers/" . $className . ".php";
        if (!is_file($patch_class)) {
            $this->pg_title = "Página no encontrada - ";
            $this->show404page();
        } else {
            include($patch_class);
            //echo $patch_class;
            $ejecutar = "\$class_controller = new " . $className . "(\$this);";
            eval($ejecutar);
            if ($this->action != "") {
                $action_call = $this->action . "Action";
                //$isClass = is_callable(array($class_controller,$action_call));
                $isClass = method_exists($className, $action_call);
                //var_dump($isClass); exit;
                if ($isClass) {
                    eval("\$class_controller->" . $action_call . "();");
                } else {
                    if (isset($this->avars[0])) {
                        $this->avars[1] = $this->avars[0];
                        $this->avars[0] = $this->action;
                    } else {
                        $this->avars[0] = $this->action;
                    }
                    eval("\$class_controller->indexAction();");
                }
            } else {
                eval("\$class_controller->indexAction();");
            }
        }

        $this->assign("actualcontroller", $this->contrllerOrg);

        if ($this->si_ajax == false) {
            if ($this->pg_title != "") {
                $this->pg_title .= " - ";
            }
            $this->assign("pg_title", $this->pg_title);
            $this->assign("pg_img", $this->pg_img);
            $this->assign("pg_desc", $this->pg_desc);
            //$smarty->cache_lifetime = 300;
            $this->caching = 0;



            $this->display($this->maintpl . '.tpl');
        }
    }

    function url($aparam) {
        $VASERP = "";
        if (is_array($aparam)) {
            $VASERP = implode("/", $aparam);
        } else {
            $VASERP = $aparam;
        }

        return SERVER_NAME . $VASERP . ".html";
    }

    function web_router() {

        /* obteniendo uri despues de ? */
        if (SUBCARPETA_NAME != "/") {
            $name_limpiado = str_replace(SUBCARPETA_NAME, "", $_SERVER['REQUEST_URI']);
        } else {
            $name_limpiado = $_SERVER['REQUEST_URI'];
            $name_limpiado = substr($name_limpiado, 1, strlen($name_limpiado) - 1);
        }


        $a = explode("?", $name_limpiado);

        $slaced = explode("/", $a[0]);
        //var_dump($slaced); exit;

        /* Buscando controller */
        if (isset($slaced[0]) && $slaced[0] != "") {
            $name_id_limp = $this->limpiar_var($slaced[0]);
            $this->contrllerOrg = $name_id_limp;
            $controller = $this->getControllerDB($name_id_limp);
        } else {
            header("location:" . $this->url(array("index")));
            exit;
            $controller = "index";
        }

        $this->controller = ucfirst(strtolower($controller));


        /* Buscando action */
        if (isset($slaced[1])) {
            $action = $this->limpiar_var($slaced[1]);
        } else {
            $action = "";
        }

        $this->action = strtolower($action);

        /* Buscando variables */
        //var_dump($slaced); exit;
        if ($action != "" && count($slaced) > 2) {
            //var_dump($slaced); exit;
            for ($i = 2; $i < count($slaced); $i++) {
                if ($slaced[$i] != "") {
                    $this->avars[] = $this->limpiar_var($slaced[$i]);
                }
            }
            //var_dump($this->avars); exit;
        }
    }

    function getControllerDB($id) {
        if ($id == "ie") {
            $this->display("ie.tpl");
            exit;
        }
        $controller = strtolower($id);
        $controller = ucfirst($controller);
        return $controller;
    }

    function getDayOfWeek($date) {
        $dia_semana = date("N", strtotime($date));

        $nombre_sem = "";
        switch ($dia_semana) {
            case "1":
                $nombre_sem = "Lunes";
                break;
            case "2":
                $nombre_sem = "Martes";
                break;
            case "3":
                $nombre_sem = "Miercoles";
                break;
            case "4":
                $nombre_sem = "Jueves";
                break;
            case "5":
                $nombre_sem = "Viernes";
                break;
            case "6":
                $nombre_sem = "Sabado";
                break;
            case "7":
                $nombre_sem = "Domingo";
                break;
        }
        return $nombre_sem;
    }

    function gatMonthName($mesnUM) {
        //$mesnUM = date("m",strtotime($date));
        $mes = "";
        switch ($mesnUM) {
            case "1":
                $mes = "ENE";
                break;
            case "2":
                $mes = "FEB";
                break;
            case "3":
                $mes = "MAR";
                break;
            case "4":
                $mes = "ABR";
                break;
            case "5":
                $mes = "MAY";
                break;
            case "6":
                $mes = "JUN";
                break;
            case "7":
                $mes = "JUL";
                break;
            case "8":
                $mes = "AGO";
                break;
            case "9":
                $mes = "SEP";
                break;
            case "10":
                $mes = "OCT";
                break;
            case "11":
                $mes = "NOV";
                break;
            case "12":
                $mes = "DIC";
                break;
        }
        return $mes;
    }

    function limpiar_var($var) {
        $avar = explode(".", $var);
        //$avar = str_replace("-","",$avar);
        return addslashes($avar[0]);
    }

    function show404page() {
        $ob_controller = new Controller($this);
        $this->show_page("404.tpl");
    }

    function show_page($page_html, $cache_id = "") {
        if ($this->si_ajax) {
            $this->resp_json($page_html);
        } else {
            if ($this->_is_mobile) {
                $page_html = "mobile_" . $page_html;
            }
            $html = $this->fetch($page_html, $cache_id);
            $this->assign("content_main", $html);
        }
    }

    function include_template($var, $template, $cache_id = "") {
        $html = $this->fetch($template, $cache_id);
        $this->assign($var, $html);
    }

    function resp_json($aVars) {
        if (is_array($aVars)) {
            foreach ($aVars as $aVars_id => $aVars_val) {
                $aVars[$aVars_id] = $this->limpiarHtml($aVars_val);
            }
        } else {
            $aVars["html"] = $this->limpiarHtml($aVars);
        }
        echo json_encode($aVars);
        exit;
    }

    function limpiarHtml($html) {
        $busca = array('/\>[^\S ]+/s', '/[^\S ]+\</s', '/(\s)+/s');
        $reemplaza = array('>', '<', '\\1');
        $html = str_replace("´", "", $html);
        return preg_replace($busca, $reemplaza, $html);
    }

    /*
     * valida en navegador y determina si púede hacer login
     */

    function checkBrowser() {
        require(PATH_ADMIN . "library/Browser.php");
        $browser = new Browser();


        $_SESSION['ppsbrowser'] = $browser->getBrowser();
        $_SESSION['ppsPlatform'] = $browser->getPlatform();
        $this->_is_mobile = false;


        switch ($browser->getPlatform()) {
            case Browser::PLATFORM_WINDOWS:
            case Browser::PLATFORM_WINDOWS_CE:
            case Browser::PLATFORM_APPLE:
            case Browser::PLATFORM_LINUX:
            case Browser::PLATFORM_UNKNOWN:
                //$this->_is_mobile = false;
                break;
            case Browser::PLATFORM_BLACKBERRY:
            case Browser::PLATFORM_ANDROID:
            case Browser::PLATFORM_IPHONE:
                //case Browser::PLATFORM_IPAD:
                $this->_is_mobile = true;
                break;
        }
    }

}

?>