<?php

@session_start();
@ob_start();
ini_set("display_errors", 0);

define("SUBCARPETA_NAME", "/encuesta/");
define("SUBCARPETA_ADMIN", "vmapanel/");

define("SUBCARPETA_MODULES", "modules/");

/* web */
define("SERVER_NAME", "http://" . $_SERVER['HTTP_HOST'] . SUBCARPETA_NAME);
define("SERVER_PATH", $_SERVER['DOCUMENT_ROOT'] . SUBCARPETA_NAME);

/* skin */
define("SKIN_ADMIN", "skin-1");

/* admin */
define("PATH_ADMIN", SERVER_PATH . SUBCARPETA_ADMIN);
define("SERVER_ADMIN", SERVER_NAME . SUBCARPETA_ADMIN);

/* images admin */
define("PATH_IMG_ADMIN", PATH_ADMIN . "images/skins/" . SKIN_ADMIN . "/");
define("SERVER_IMG_ADMIN", SERVER_ADMIN . "images/skins/" . SKIN_ADMIN . "/");

/* images admin */
define("PATH_GALLERY", PATH_ADMIN . "images/upload/");
define("SERVER_GALLERY", SERVER_ADMIN . "images/upload/");

define("SERVER_ADMIN_HELP", SERVER_ADMIN . "ayuda/");

define("NAME_SESS_ADMIN", "modulos_sistem_v6");

define("LANG", "ES");

include_once(PATH_ADMIN . "settings.php");
include_once(PATH_ADMIN . "library/class.mysql.php");
include_once(PATH_ADMIN . "library/class.pagbar.php");

if ($is_admin = true) {
    include_once(PATH_ADMIN . "library/class.tabs.php");
    include_once(PATH_ADMIN . "library/class.menu.php");
    require_once(PATH_ADMIN . "library/class.NokTemplate.php");
    require_once(PATH_ADMIN . "library/class.template.php");
    include_once(PATH_ADMIN . "library/class.simple_search.php");
    include_once(PATH_ADMIN . "library/class.table_template.php");
    include_once(PATH_ADMIN . "library/class.pagbar.php");
    include_once(PATH_ADMIN . "library/class.pageoptions.php");
}
include_once(PATH_ADMIN . "src/tableOm.php");
$DB = new db($db_host, $db_user, $db_password, $db_name, $db_persistency);

function newClassMod($class_name, $module = "") {
    if ($module == "") {
        $module = PATH_MODULE;
    } else {
        $module = PATH_ADMIN . SUBCARPETA_MODULES . $module . "/";
    }


    require_once($module . "src/class_" . $class_name . ".php");

    eval("\$ob_new_objet = new $class_name (\$GLOBALS['DB']);");

    return $ob_new_objet;
}

function actionHeader($url) {
    header("Location: " . $url);
    exit;
}

function getLangs() {
    $ob_lang = newClassMod("ra_lang", "mod_langs");
    return $ob_lang->getAll("", "", "", false);
}

function is_access_to_module($page) {
    $ob_administrator_level_page = newClassMod("ra_administrator_level_page", "mod_admin");
    $ob_administrator_level_page->getRowByCols(" ra_al_id = '" . $_SESSION[NAME_SESS_ADMIN]["nivel"] . "' and ra_pp_ra_p_id = '" . $page . "'");
    $varRturn = false;
    if ($ob_administrator_level_page->ra_al_id != "") {
        $varRturn = true;
    } else {
        $varRturn = false;
    }
    return $varRturn;
}

function getStatusDefinive($est, $module, $table, $id_row = "", $is_set_id = true) {
    $est_re = $est;
    switch ($est) {
        case "0":
            $est_re = '<span class="no_publicado_btn_ui ui-state-error" title="No Publicado">No Publicar</span>';
            break;
        case "1":
            $est_re = '<span class="publicado_btn_ui ui-state-highlight" title="Publicado">Publicado</span>';
            break;
        case "2":
            $est_re = '<span class="eliminado_btn_ui ui-state-highlight" title="Eliminado">Eliminado</span>';
            break;
    }

    if ($id_row != "") {
        $est_re = '<a href="javascript:;" onclick="changestFree(\'' . $id_row . '\',\'' . $module . '\',\'' . $table . '\',\'inDivChengEst_' . $id_row . '\')">' . $est_re . '</a>';
        if ($is_set_id) {
            $est_re = '<div id="inDivChengEst_' . $id_row . '">' . $est_re . '</div>';
        }
    }
    return $est_re;
}

function limpiarCache() {
    $a_dirs_ca = array();
    $a_dirs_ca[] = PATH_ADMIN . "library/cache/select/";
    $a_dirs_ca[] = PATH_ADMIN . "library/cache/describe/";
    foreach ($a_dirs_ca as $dir_select_cache) {
        //$dir_select_cache = 
        if (is_dir($dir_select_cache)) {

            $handle = opendir($dir_select_cache);

            // and scan through the items inside
            while (FALSE !== ($file = readdir($handle))) {
                //echo $file."-";	exit;
                if ($file != "." && $file != "..") {

                    if (is_file($dir_select_cache . $file)) {
                        unlink($dir_select_cache . $file);
                    } else {
                        //delete_directory($dirname.'/'.$file); 
                    }
                }
            }
        }
    }
}

function html_numero_paginas() {
    $var_url = "";
    if (count($_GET) > 0) {
        foreach ($_GET as $key => $value) {
            if ($key != "nr") {
                $var_url .= $key . "=" . $value . "&";
            }
        }
    }
    $html = '
                <div class="filas">
                      <form>
                    <label>Número de filas:</label>
                    <select name="nr"  onchange="document.location = \'?' . $var_url . 'nr=\'+this.value">
                          <option value="10" ';
    if ($_GET['nr'] == "10") {
        $html .= "selected";
    } $html.=' >10</option>
						  <option value="20" ';
    if ($_GET['nr'] == "20") {
        $html .= "selected";
    } $html.=' >20</option>
                          <option value="40" ';
    if ($_GET['nr'] == "40") {
        $html .= "selected";
    } $html.=' >40</option>
                          <option value="80" ';
    if ($_GET['nr'] == "80") {
        $html .= "selected";
    } $html.=' >80</option>
                          <option value="160" ';
    if ($_GET['nr'] == "160") {
        $html .= "selected";
    } $html.=' >160</option>
                          <option value="320" ';
    if ($_GET['nr'] == "320") {
        $html .= "selected";
    } $html.=' >320</option>
                        </select>
                  </form>
                    </div>';
    return $html;
}

function getVarsReqUri() {
    /* obteniendo uri despues de ? */
    if (SUBCARPETA_NAME != "/") {
        $name_limpiado = str_replace(SUBCARPETA_NAME, "", $_SERVER['REQUEST_URI']);
    } else {
        $name_limpiado = $_SERVER['REQUEST_URI'];
    }

    $a = explode("?", $name_limpiado);

    //var_dump($a); exit;

    if (count($a) > 1) {
        $b = explode("&", $a[1]);
        foreach ($b as $value) {
            $c = explode("=", $value);
            $_GET[$c[0]] = $c[1];
        }
        $val_ida = 0;
    } else {
        $val_ida = 0;
    }

    $newa_ = array();


    $slaced = explode("/", $a[0]);

    //var_dump($slaced); exit;
    $contadord = 0;
    foreach ($slaced as $value_id => $value) {
        if ($value != "") {
            $_GET["gvalue" . $contadord] = $value;
            $contadord++;
        }
    }

    if ($_GET['PG'] == "") {
        $_GET['PG'] = $_GET['gvalue0'];
    }
    //var_dump($_GET);		exit;
    if ($_GET['PG'] == "") {
        $_GET['PG'] = $_GET['gvalue1'];
        $tem = $_GET['gvalue1'];
        $_GET['gvalue0'] = $_GET['gvalue1'];
        $_GET['gvalue1'] = $_GET['gvalue2'];
    }

    $a_g = explode(".", $_GET['PG']);
    $_GET['PG'] = $a_g[0];
}

function getIdContent($name_id) {
    $name_id = str_replace(".html", "", $name_id);
    $ob_page_load = newClassMod("cip_menu", "mod_menu");
    $sqlr = "select * from ra_content_lang where cl_name_id = '" . $name_id . "'";
    $rsddd = $GLOBALS['DB']->db_query($sqlr);
    $num_res = $GLOBALS['DB']->db_numrows($rsddd);
    if ($num_res > 1) {
        if ($rowddd = $ob_page_load->nextrow($rsddd)) {
            $ob_page_load->getRowByLang($name_id, LANG, true, false);
            if ($ob_page_load->ra_content_lang->cl_c_id != "") {
                $IDPAGE = $ob_page_load->ra_content_lang->cl_c_id;
                return $IDPAGE;
            } else {
                return 1;
            }
        } else {
            return 1;
        }
        //$IDPAGE = "";
    }

    $IDPAGE = "";

    $rs_langs = getLangs();
    while ($row_langs = $ob_page_load->nextrow($rs_langs)) {
        $ob_page_load->getRowByLang($name_id, $row_langs['l_id'], true, false);
        //echo "dd->";
        if ($ob_page_load->ra_content_lang->cl_c_id != "") {
            $IDPAGE = $ob_page_load->ra_content_lang->cl_c_id;
            if ($ob_page_load->ra_content_lang->l_id != LANG && $_GET['p'] != "index") {
                if (!isset($_GET['lang']) && @$_GET['gvalue1'] == "") {
                    $_SESSION['LANG'] = $ob_page_load->ra_content_lang->l_id;
                    header("Location: " . geturlweb($_GET['gvalue0'], @$_GET['gvalue1']));
                    exit;
                }
            }
        }
    }
    return $IDPAGE;
}

function geturlweb($namepage, $subpage = "", $is_extention = true) {
    $base_seb = SERVER_NAME;
    if ($subpage != "") {
        //$urlto .= "&p2=".$subpage; 
        $urlto = $base_seb . $namepage . "/" . $subpage;
    } else {
        $urlto = $base_seb . $namepage;
    }
    if ($is_extention) {
        $urlto .= ".html";
        $urlto = str_replace(".html.html", ".html", $urlto);
    }
    return $urlto;
}

function getIp() {
    return $_SERVER['REMOTE_ADDR'];
}

?>