<?php

$ob_p_poll = @$GLOBALS["ob_p_poll"];
$tpl = $GLOBALS['tpl'];
$tpl->load("template", "list_p_poll.html");
$tpl->set_block("list_p_poll", "template");

$tpl->assign("title", "Lista");

$tpl->assign("txt_find_name", "");
$tpl->assign("txt_find_date", "");
$tpl->assign("txt_find_type_0", "");
$tpl->assign("txt_find_type_1", "");
$where_add = " and cl_status < 0";

if (isset($_GET['btn_busc'])) {
    $where_add = "";
    if (isset($_GET['txt_find_name']) && !empty($_GET['txt_find_name'])) {
        $_GET['txt_find_name'] = trim($_GET['txt_find_name']);
        $where_add .= " and p_title like '%{$_GET['txt_find_name']}%'";
        $tpl->assign("txt_find_name", $_GET['txt_find_name']);
    }

    if (isset($_GET['txt_find_type']) && $_GET['txt_find_type'] != "" && $_GET['txt_find_type'] >= 0) {
        $where_add .= " and p_type = {$_GET['txt_find_type']}";
        $tpl->assign("txt_find_type_" . $_GET['txt_find_type'], "selected");
    }

    if (isset($_GET['txt_find_date']) && !empty($_GET['txt_find_date'])) {
        $where_add .= " and p_date_reg like '{$_GET['txt_find_date']}%'";
        $tpl->assign("txt_find_date", $_GET['txt_find_date']);
    }

    switch ($_GET['mod']) {
        case "26"://Nuevo
            $where_add .= " and cl_status = 1 ";
            break;
        case "27"://ingresar info
            $where_add .= " and cl_status = 2 ";
            break;
        case "28"://Informes
            $where_add .= " and cl_status = 5 ";
            break;
    }
    $_SESSION['lastQuey'] = $_SERVER['QUERY_STRING'];
}

if ($_SESSION[NAME_SESS_ADMIN]["nivel"] > 2) {
    $where_add .= " and ( select count(p_poll_users.id) from  p_poll_users where p_poll_users.poll_id = p_poll.p_id and p_poll_users.user_id = '" . $_SESSION[NAME_SESS_ADMIN]["iduser"] . "' ) > 0 ";
}

$sql = "SELECT p_poll.*, (
    select count(p_poll_users.id) from  p_poll_users where p_poll_users.poll_id = p_poll.p_id
) as num_users FROM p_poll WHERE cl_status > 0 " . $where_add . " ORDER BY p_date_reg DESC";

//Paginacion
if (!isset($_GET["nr"])) {
    $_GET["nr"] = 20;
}

$GLOBALS['aPerms'] = getPermsP();


$pbar = new pagbar($GLOBALS['DB']);
$pbar->pb_limit($_GET["nr"]);
$pbar->pb_nlinks(7);
$pbar->pb_sql($sql);

//Tabla template
$table_template = new table_template();

$GLOBALS['num_results'] = $pbar->_total_reg;
$GLOBALS['contador_ord'] = 1;

function get_param_fil($i, $fil)
{
    $param["offset"] = $i - 1;
    $param['cl_status'] = getStatusDefinive($fil['cl_status'], $_GET['module'], $GLOBALS['ob_p_poll']->_table, $fil['p_id']);
    $param["aOptions"] = "";
    if ($fil['p_type'] == 1) {
        $param['p_type'] = "OnLine";
    } else {
        $param['p_type'] = "Físico";
    }

    switch ($fil['cl_status']) {
        case "0":
            $param['cl_status'] = "<font color='red'>Eliminado</font>";
            break;
        case "1":
            $param['cl_status'] = "<font color='blue'>Nuevo</font>";
            if (isAccessToAction('US')) {
                $param["aOptions"] = '<a href="javascript:pollUsers(' . $fil['p_id'] . ');" class="btn-person"  title="Usuarios"  >' . $fil['num_users'] . '</a>';
            }
            if (isAccessToAction('GEN')) {
                $param["aOptions"] .= '<a href="javascript:generatePoll(' . $fil['p_id'] . ');" class="btn_generate_cuestion"  title="Generar"  >Generar</a>';
            }
            if (isAccessToAction('REV')) {
                $param["aOptions"] .= '<a href="' . $GLOBALS['basic_url_get'] . '&p_poll=edit&ID=' . $fil['p_id'] . '#tabs-2" class="btn_review_cuestion"  title="Revisar"  >Revisar</a>';
            }
            break;
        case "2":
            $param['cl_status'] = "<font color='green'>Recibiendo datos</font>";
            if ($fil['p_type'] == 0) {
                if (isAccessToAction('DPDF')) {
                    $param["aOptions"] = '<a href="' . $GLOBALS['basic_url_get'] . '&p_poll=downloadpdf&ID=' . $fil['p_id'] . '" class="btn_print_cuestion"  title="Descargar PDF"  >Descargar PDF</a>';
                }
                if (isAccessToAction('DINFO')) {
                    $param["aOptions"] .= '<a href="' . $GLOBALS['basic_url_get'] . '&p_poll=resolve&ID=' . $fil['p_id'] . '" class="btn_resolve_cuestion"  title="Ingresar información"  >Ingresar información</a>';
                }
            } else {
                if (isAccessToAction('MLINK')) {
                    $param["aOptions"] = '<a href="javascript:mostarlink(\'' . ($fil['p_id'] * 987) . '\');" class="btn_link_cuestion"  title="Mostrar Link"  >Mostrar Link</a>';
                }
            }
            if ($_SESSION[NAME_SESS_ADMIN]["nivel"] <= 2) {

                if (isAccessToAction('IDAT')) {
                    $param["aOptions"] .= '<a href="javascript:importData(' . $fil['p_id'] . ');" class="upload_btn_ui_poll"  title="Importar Datos"  >Importar Datos</a>';
                }
                if (isAccessToAction('CMUE')) {
                    $param["aOptions"] .= '<a href="javascript:loadSummary(' . $fil['p_id'] . ');" class="btn_summary_cuestion"  title="Control de muestra"  >Control de muestra</a>';
                }
                if (isAccessToAction('ESTAD')) {
                    $param["aOptions"] .= '<a href="' . $GLOBALS['basic_url_get'] . '&p_poll=statistics&ID=' . $fil['p_id'] . '" class="btn_stadistics_cuestion"  title="Estadísticas"  >Estadísticas</a>';
                }
                if (isAccessToAction('END')) {
                    $param["aOptions"] .= '<a href="javascript:endPoll(\'' . $GLOBALS['basic_url_get'] . '&p_poll=endpoll&ID=' . $fil['p_id'] . '\');" class="btn_stop_cuestion"  title="Terminar"  >Terminar</a>';
                }
            }

            break;
        case "5":
            $param['cl_status'] = "Terminado";

            if (isAccessToAction('CMUE')) {
                $param["aOptions"] .= '<a href="javascript:loadSummary(' . $fil['p_id'] . ');" class="btn_summary_cuestion"  title="Control de muestra"  >Control de muestra</a>';
            }
            if (isAccessToAction('ESTAD')) {
                $param["aOptions"] .= '<a href="' . $GLOBALS['basic_url_get'] . '&p_poll=statistics&ID=' . $fil['p_id'] . '" class="btn_stadistics_cuestion"  title="Estadísticas"  >Estadísticas</a>';
            }
            break;
        default:
            $param['cl_status'] = "---";
    }

    return $param;
}

$table_template->set_tpl($tpl);
$table_template->load_result($pbar->sql_result(), $GLOBALS['DB']);
$table_template->open();

$table_template->assign("ord", $GLOBALS["gv2"]);
$table_template->assign("modulo", $_GET["mod"]);
//$table_template->assign("sql", urlencode($sql));
$table_template->load_fil();

$tpl->assign("pbar_show_npages", $pbar->pb_str_show_npages());
//$tpl->assign("pbar_show_info", $pbar->pb_str_show_info());
$tpl->assign("html_numero_paginas", html_numero_paginas());
$tpl->show("list_p_poll");

function getPermsP()
{
    $ob_ra_administrator_level_page = newClassMod("ra_administrator_level_page", "mod_admin");
    $ob_ra_administrator_level_page->getRowByCols(array("ra_al_id" => $_SESSION[NAME_SESS_ADMIN]["nivel"], "ra_pp_ra_s_id" => 3, "ra_pp_ra_p_id" => $_GET['mod']));
    if ($ob_ra_administrator_level_page->actions != '') {
        return explode(',', $ob_ra_administrator_level_page->actions);
    } else {
        return [];
    }
}

function isAccessToAction($act)
{
    IF ($_SESSION[NAME_SESS_ADMIN]["nivel"] <= 2) {
        RETURN TRUE;
    } ELSE {
        return in_array($act, $GLOBALS['aPerms']);
    }
}

?>