<?php
/**
* Clase para Paginar Resultados 
* @author Eliezer Benjamn Gonzales Basilio <egonzales@ispgraf.com>
* @version 1.0.1
* @date 04/10/2005
* @copyright ISPGRAF.SAC - http://www.ispgraf.com
*/


class pagbar {

	var $_DB;
	var $_limit;
	var $_npages;
	var $_total_reg;
	var $_result;
	var $_get_vars;
	
	var $_begin;
	var $_end;
	
	var $_next;
	var $_previous;
	
	var $_link;
	var $_variables = array();
	var $_offset = "offset";
	var $_exon_var_get = array();
	
	var $_tag_ini_li;
	var $_tag_end_li;
	
	var $_class_number;
	var $_class_current;
	
	function pagbar(&$inDB)
	{
		$this->_DB = &$inDB;
		$this->_tag_ini_li = "";
		$this->_tag_end_li = "";
		$this->_class_number = "number";
		$this->_class_current = "current";
	}

	/***Cantidad de registros por Pgina***/
	function pb_limit($inLimit = "")
	{
		$this->_limit = $inLimit;

	}

	/***Rango de links de paginas que se mostraran ***/
	function pb_nlinks($val = ""){
		$this->_nlinks = $val;
	}
	
		
	function pb_sql($inSql,$cache=false)
	{
		
		!isset($_GET[$this->_offset]) ? $_GET[$this->_offset] = 0 : $_GET[$this->_offset] = $_GET[$this->_offset];

		$this->_result = $this->_DB->db_query($inSql,$cache);
		$this->_total_reg = $this->_DB->db_numrows($this->_result);
		
		if(isset($this->_limit))
		{
			if($_GET[$this->_offset] > $this->_total_reg) $_GET[$this->_offset] = 0; 
			
			if($this->_limit != "")
			{
				$inSql .= " LIMIT " . $_GET[$this->_offset] . ", ".$this->_limit;
			}
			else 
			{
				$this->_limit = $this->_total_reg;	
				$inSql .= " LIMIT " . $_GET[$this->_offset] . ", ".$this->_limit;	
			}	
			
			if($this->_total_reg >0)
			{
				$this->_result = $this->_DB->db_query($inSql,$cache);
				$this->_npages = ceil($this->_total_reg/$this->_limit);
			}
		}
		//echo $inSql;
	}

	function pb_nr(){
		return $this->_total_reg;
	}

	function sql_result(){
		return 	$this->_result;
	}

	
	function propagate()
	{
        switch(func_num_args()){
            case 0: 
				$ret=null;
                foreach($this->_variables as $var)
                    $ret.= "&$var=".$GLOBALS[$var];
                return $ret;
                break;
            default:
                for($i = 0; $i < func_num_args(); $i++)
                {
                   $this->_variables[] = func_get_arg($i);
                } 
                break;
        } 
	} 
	
	function pb_str_show_npages_ajax($name_ident,$iswiurl = true)
	{

		
		$link = null;	
		if($this->_total_reg > 0){
			$current_pg = $_GET[$this->_offset] / $this->_limit + 1;
		}else{ 
			$current_pg = 0;
			$str = '
			<a href="javascript:;"><li class="pagLeft pagRightOff" title="Previous">&nbsp;</li></a>
            <a href="javascript:;"><li class="pagRight pagLeftOff" title="Next">&nbsp;</li></a>
			';	
		}

		if($this->_npages > 1) {

			// searching for http_get_vars
			foreach ($_GET as $_get_name => $_get_value)
			{
				if ($_get_name != $this->_offset && !in_array($_get_name,$this->_exon_var_get))
					$this->_get_vars .= "&".$_get_name."=".$_get_value;
			}
		}

		$this->_next = $_GET[$this->_offset] + $this->_limit;
		$this->_prev = $_GET[$this->_offset] - $this->_limit;

		/**************Al Principio / Anterior ******************/
		
		if ($_GET[$this->_offset] > 0)
		{
			$utlh = "";
			
			if($iswiurl === true)
			{
				$utlh = 'loadURLAd(\''.$name_ident.'/page/'.$this->_offset.'/' . $this->_prev.$this->_get_vars .'\'); return false;';
			}elseif($iswiurl == "pt")
			{
				$utlh = 'loadajaxsend(\'listphoto\',\'/'.$name_ident.'/'.$_POST['idvid'].'/'.$this->_offset.'/' . $this->_prev.$this->_get_vars .'\'); return false;';
			}else
			{
				$utlh = 'loadajaxsend(\'pagedet\',\'/'.$name_ident.'/'.$_POST['idvid'].'/'.$this->_offset.'/' . $this->_prev.$this->_get_vars .'\'); return false;';
			}
			$this->_link .= $this->_tag_ini_li . '<a onclick="'.$utlh.'" href="javascript:;"><li class="pagLeft" title="Previous">&nbsp;</li></a>'. $this->_tag_end_li;
			
		}else
		{
			$this->_link .= $this->_tag_ini_li . '<a href="javascript:;"><li class="pagLeft pagLeftOff" title="Previous">&nbsp;</li></a>'. $this->_tag_end_li;
		}
		

		$str = $this->_link;	
		###########################################################
		if(empty($this->_nlinks))
		{
			$page_from = 1;
			$page_to =	$this->_npages;
		}else{
				$page_interval = ceil($this->_nlinks / 2) - 1;
				$page_from = $current_pg - $page_interval;
				$page_to =	$current_pg + $page_interval;
				
				//Si $page_from es un nmero negativo
				if($page_from < 1){
					//Le sumamos la cantidad sobrante al final para mantener el nmero de enlaces que se quiere mostrar. 
					$page_to -=($page_from-1);
					//Establecemos $page_from como 1.
					$page_from = 1; 
				}
				
				//Si $page_to es un nmero mayor que el total de pginas
				if($page_to > $this->_npages){
					
					//Le restamos la cantidad excedida al comienzo para mantener el nmero de enlaces que se quiere mostrar.
					$page_from -=($page_to - $this->_npages);
					//Establecemos $_pagi_nav_hasta como el total de pginas.
					$page_to = $this->_npages;
					//Hacemos el ltimo ajuste verificando que al cambiar $_pagi_nav_desde no haya quedado con un valor no vlido.
					if($page_from < 1)
					{
						$page_from = 1;
					} 
				}

		}
		
		for ($i = $page_from; $i <= $page_to ; $i++) //Desde pgina 1 hasta ltima pgina
		{
			$theNext = ($i-1) * $this->_limit;
			if ($i == $current_pg)
			{
				//Si el nmero de pgina es la actual ($_pagi_actual). Se escribe el nmero, pero sin enlace y en negrita.
				
			}
			else
			{
				//Si es cualquier otro. Se escibe el enlace a dicho nmero de pgina.
				
			}
		}	
		###################################################333

		/********************Ir al final***************/
		$offset_end = ($this->_npages - 1) * $this->_limit;
		if(($_GET[$this->_offset] + $this->_limit) < $this->_total_reg)
		{

			if($iswiurl === true)
			{
				$utlh = 'loadURLAd(\''.$name_ident.'/page/'.$this->_offset.'/' . $this->_next.$this->_get_vars .'\'); return false;';
			}elseif($iswiurl == "pt")
			{
				$utlh = 'loadajaxsend(\'listphoto\',\'/'.$name_ident.'/'.$_POST['idvid'].'/'.$this->_offset.'/' . $this->_next.$this->_get_vars .'\'); return false;';
			}else
			{
				$utlh = 'loadajaxsend(\'pagedet\',\'/'.$name_ident.'/'.$_POST['idvid'].'/'.$this->_offset.'/' . $this->_next.$this->_get_vars .'\'); return false;';
			}
			
			$str .= $this->_tag_ini_li . '<a onclick="'.$utlh.'" href="javascript:;"><li class="pagRight" title="Next">&nbsp;</li></a>'. $this->_tag_end_li;
		}
		else
		{
			$str .= $this->_tag_ini_li . '<a href="javascript:;"><li class="pagRight pagRightOff" title="Next">&nbsp;</li></a>'. $this->_tag_end_li;
		}
		
		return $str;
	}

	function pb_str_show_npages()
	{

		$link = null;	
		if($this->_total_reg > 0){
			$current_pg = $_GET[$this->_offset] / $this->_limit + 1;
		}else{ 
			$current_pg = 0;
			$str = "<br><b>No existen Registros</b>";	
		}

		if($this->_npages > 1) {

			// searching for http_get_vars
			foreach ($_GET as $_get_name => $_get_value)
			{
				if ($_get_name != $this->_offset && !in_array($_get_name,$this->_exon_var_get))
					$this->_get_vars .= "&".$_get_name."=".$_get_value;
			}
		}

		$this->_next = $_GET[$this->_offset] + $this->_limit;
		$this->_prev = $_GET[$this->_offset] - $this->_limit;

		/**************Al Principio / Anterior ******************/
		
		if ($_GET[$this->_offset] > 0)
		{
			$this->_link .= $this->_tag_ini_li . "<a title=\"Primero\" href=\"?offset=0" . $this->_get_vars . "\">&laquo; Primero&nbsp;</a>". $this->_tag_end_li;
			$this->_link .= $this->_tag_ini_li . "<a  title=\"Anterior\" href=\"?".$this->_offset."=" . $this->_prev .$this->_get_vars . "\">&nbsp;&laquo; Anterior&nbsp;</a>". $this->_tag_end_li;
		}
		

		$str = $this->_link;	
		###########################################################
		if(empty($this->_nlinks))
		{
			$page_from = 1;
			$page_to =	$this->_npages;
		}else{
				$page_interval = ceil($this->_nlinks / 2) - 1;
				$page_from = $current_pg - $page_interval;
				$page_to =	$current_pg + $page_interval;
				
				//Si $page_from es un nmero negativo
				if($page_from < 1){
					//Le sumamos la cantidad sobrante al final para mantener el nmero de enlaces que se quiere mostrar. 
					$page_to -=($page_from-1);
					//Establecemos $page_from como 1.
					$page_from = 1; 
				}
				
				//Si $page_to es un nmero mayor que el total de pginas
				if($page_to > $this->_npages){
					
					//Le restamos la cantidad excedida al comienzo para mantener el nmero de enlaces que se quiere mostrar.
					$page_from -=($page_to - $this->_npages);
					//Establecemos $_pagi_nav_hasta como el total de pginas.
					$page_to = $this->_npages;
					//Hacemos el ltimo ajuste verificando que al cambiar $_pagi_nav_desde no haya quedado con un valor no vlido.
					if($page_from < 1)
					{
						$page_from = 1;
					} 
				}

		}
		
		for ($i = $page_from; $i <= $page_to ; $i++) //Desde pgina 1 hasta ltima pgina
		{
			$theNext = ($i-1) * $this->_limit;
			if ($i == $current_pg)
			{
				//Si el nmero de pgina es la actual ($_pagi_actual). Se escribe el nmero, pero sin enlace y en negrita.
				$str .= $this->_tag_ini_li."<a href=\"#\" class=\"".$this->_class_number." ".$this->_class_current."\" title=\"".$i."\">".$i."</a> ". $this->_tag_end_li;
			}
			else
			{
				//Si es cualquier otro. Se escibe el enlace a dicho nmero de pgina.
				$str .= $this->_tag_ini_li."<a class=\"".$this->_class_number."\" title=\"".$i."\" href=\"?".$this->_offset."=".$theNext.$this->_get_vars."\">".$i."</a>&nbsp;". $this->_tag_end_li;
			}
		}	
		###################################################333

		/********************Ir al final***************/
		$offset_end = ($this->_npages - 1) * $this->_limit;
		if(($_GET[$this->_offset] + $this->_limit) < $this->_total_reg)
		{
			$str .= $this->_tag_ini_li."<a title=\"Siguiente\" href=\"?".$this->_offset."=" . $this->_next . $this->_get_vars . "\">&nbsp;Siguiente &raquo;&nbsp;</a> ". $this->_tag_end_li;
			$str .= $this->_tag_ini_li."<a title=\"ltimo\" href=\"?".$this->_offset."=" . $offset_end . $this->_get_vars . "\">&nbsp;&Uacute;ltimo &raquo;</a>". $this->_tag_end_li;
			//echo "<a href=\"?offset=" . $offset_end . $this->_get_vars . "\">ltimo</a> | ";
		}
		else
		{
			//echo "| <span>&raquo</span> | <span>Ultimo</span> |";
		}
		
		return $str;
	}

	function pb_show_npages()
	{
		echo $this->pb_str_show_npages();
	}
	
	function pb_str_show_info() {
		//$this->_link;
		if($_GET[$this->_offset] >= $this->_total_reg || $_GET[$this->_offset] < 0) return false;
		
		$from = $_GET[$this->_offset] + 1;
		if($_GET[$this->_offset] + $this->_limit >= $this->_total_reg)
		{
			$to = $this->_total_reg;
		}
		else
		{
			$to = $_GET[$this->_offset] + $this->_limit;
		}
		
		$str = "Mostrando resultados de ".$from." hasta ".$to." de un Total de <b>". $this->_total_reg . "</b> registros";
		
		return $str;
	}
	
	function pb_show_info()
	{
		
		echo $this->pb_str_show_info();
	}
	
}
?>