<?php

class pageoptions {

    var $_title;
    var $_sub_title;
    var $_options;
    var $_html;
    var $_class_title;

    function __construct() {
        $this->_title = "";
        $this->_sub_title = "";
        $this->_html = "";
        $this->_options = array();
        $this->_class_title = "";
    }

    function setTitle($title, $class = "module") {
        //var_dump($title);
        if (is_array($title)) {
            $this->_title = $title[0];
            $this->_sub_title = $title[1];
        } else {
            $this->_title = $title;
            $this->_sub_title = "";
        }

        $this->_class_title = $class;
    }

    function addOption($name, $action, $class, $classurl = "") {
        $option['name'] = $name;
        $option['action'] = $action;
        $option['class'] = $class;
        $option['class_url'] = $classurl;
        $this->_options[] = $option;
    }

    private function generaHtml() {
        $add_smal_txt = "";
        $html = "";
        if ($this->_sub_title != "") {
            //$add_smal_txt = "<small><small>[".$this->_sub_title."]</small></small>";
        }
        if (count($this->_options) > 0) {
            $this->_options = array_reverse($this->_options);
            //var_dump($this->_options); exit;
            foreach ($this->_options as $opt_id => $opt_values) {
                $html .= '<div class="' . $opt_values['class'] . '">';
                $html .= '<a href="' . $opt_values['action'] . '" onclick="" class="nuevo_btn_ui ' . $opt_values['class_url'] . '" title="' . $opt_values['name'] . '">' . $opt_values['name'] . ' </a> ';
                $html .= '</div>';
            }
        }
        $this->_html = $html;
    }

    public function getPageOptions() {
        $this->generaHtml();
        return $this->_html;
    }

}

?>