<?php

class p_poll extends Table_Orm {

    var $_table = "p_poll";
    var $_primary_key = "p_id";
    var $aGrsupResp = array();
    var $aDataPoll = array();
    var $contador_generarl = 1;

    function __construct($inDB) {
        $this->_DB = $inDB;
        $this->newRow();
    }

    function GetValsForm($apost, $ID = "") {
//$this->p_id = $apost['txt_p_id'];
//$this->p_code = $apost['txt_p_code'];

        $this->p_type = $apost['txt_p_type'];
        $this->p_title = $apost['txt_p_title'];
        $this->p_is_filters = $apost['txt_p_is_filters'];
//$this->p_date_reg = $apost['txt_p_date_reg'];
//$this->p_admin_id = $apost['txt_p_admin_id'];
//$this->cl_status = $apost['txt_cl_status'];
    }

    function endPoll() {
        if ($this->cl_status == 2) {
            $this->cl_status = 5;
            $this->doUpdate();
            return true;
        } else {
            return false;
        }
    }

    /* Importa una pregunta desde tipos de preguntas */

    function addQuestionFromDB($idPoll, $idQuestion, $isFilter) {
        if ($idQuestion > 0 && $idPoll > 0) {
//$orderPreg = $obPollQuestion->max("");
            $obQuestionType = newClassMod("p_question_type", "mod_config");
            $obQuestionType->getRow($idQuestion);

            $obQuestionTypeAnswer = newClassMod("p_question_type_answer", "mod_config");
            $rsQuestionTypeAnswer = $obQuestionTypeAnswer->getAll("qta_qt_id=" . $idQuestion . " and cl_status = 1", "cl_order");

            /* Registrando Pregunta */
            $obPollQuestion = newClassMod("p_poll_question", "mod_poll");
            $obPollQuestion->pq_qt_id = $idQuestion;
            $obPollQuestion->pq_p_id = $idPoll;
            $obPollQuestion->pq_filter = $isFilter;
            $obPollQuestion->pg_question = $obQuestionType->qt_name;
            $obPollQuestion->cl_status = 1;
            if ($idQuestion == 1) {
                $obPollQuestion->cl_order = 1000;
            } else {
                $obPollQuestion->cl_order = $obPollQuestion->max(" pq_p_id = '" . $idPoll . "' and cl_status = 1 and pq_qt_id != 1  ");
            }
            $obPollQuestion->doInsert();
            $idNewQuestion = $obPollQuestion->max();
            /* Registrando opciones */
            $obPollAnswer = newClassMod("p_poll_answer", "mod_poll");
            $orderResp = 1;
            while ($rowQuestionTypeAnswer = $obQuestionTypeAnswer->nextrow($rsQuestionTypeAnswer)) {
                $obPollAnswer->pa_pq_id = $idNewQuestion;
                $obPollAnswer->pa_answer = $rowQuestionTypeAnswer['qtr_answer'];
                $obPollAnswer->pa_is_true = 0;
                $obPollAnswer->pa_value = $rowQuestionTypeAnswer['gtw_value'];
                $obPollAnswer->cl_status = 1;
                $obPollAnswer->cl_order = $orderResp;
                $obPollAnswer->doInsert();
                $orderResp++;
            }
            return true;
        } else {
            return false;
        }
    }

    /* Retorna todos las preguntas y respuestas de una encuenta */

    function getQuestions($idPoll, $isResolve = false, $isGetOptions = true) {
        $obPollQuestion = newClassMod("p_poll_question", "mod_poll");
        $rsPollQuestion = $obPollQuestion->getAll("pq_p_id = '" . $idPoll . "' and cl_status = 1", "pq_filter desc,cl_order");
        $aPoll = array();
        while ($rowPollQuestion = $obPollQuestion->nextrow($rsPollQuestion)) {
            $aPoll[$rowPollQuestion['pq_id']] = $rowPollQuestion;
            if ($isGetOptions) {
                $aPoll[$rowPollQuestion['pq_id']]["options"] = $this->getOptionsPoll($rowPollQuestion, $isResolve);
            }
        }
        return $aPoll;
    }

    function getGroupQuestions($idPoll) {
        $sql = "select p_question_type.qt_id, p_question_type.qt_name, count(p_poll_question.pq_id) as num_pregs, p_poll_question.pq_namegroup from p_question_type, p_poll_question where p_question_type.qt_is_likert = 1 and p_poll_question.pq_qt_id = p_question_type.qt_id and p_poll_question.pq_filter = 0 and p_poll_question.pq_p_id = '" . $idPoll . "' and p_poll_question.pq_namegroup != '' and p_poll_question.pq_namevar != '' group by p_question_type.qt_id, p_poll_question.pq_namegroup, p_poll_question.cl_order order by p_poll_question.cl_order";
        $rs = $this->_DB->db_query($sql);
        $aGroupPoll = array();
        $contador = 0;
        while ($row = $this->nextrow($rs)) {
            $aGroupPoll[] = $row;
        }
        return $aGroupPoll;
    }

    function getGroupResp($idPoll) {
        $sql_var = "select p_poll_question.pq_namevar, count(p_poll_question.pq_id) as numvars from p_poll_question, p_question_type where p_poll_question.pq_qt_id = p_question_type.qt_id and p_question_type.qt_is_likert = 1 and p_poll_question.pq_namevar != '' and p_poll_question.pq_p_id = '" . $idPoll . "' group by p_poll_question.pq_namevar  order by p_poll_question.pq_namevar";
        $sql_group = "select p_poll_question.pq_namegroup, count(p_poll_question.pq_id) as numvars from p_poll_question, p_question_type where p_poll_question.pq_qt_id = p_question_type.qt_id and p_question_type.qt_is_likert = 1 and p_poll_question.pq_namegroup != '' and p_poll_question.pq_p_id = '" . $idPoll . "' group by p_poll_question.pq_namegroup order by p_poll_question.pq_namegroup";

        $rs_var = $this->_DB->db_query($sql_var);
        $rs_group = $this->_DB->db_query($sql_group);

        $aVars = $this->_DB->parceRsToArray($rs_var);
        $aGroups = $this->_DB->parceRsToArray($rs_group);

        return array("x" => $aVars, "y" => $aGroups);
    }

    function getOptionsPoll($rowQuestion, $isResolve) {
        $questionId = $rowQuestion["pq_id"];
        $html = '';
        $obPollAnswer = newClassMod("p_poll_answer", "mod_poll");
        $rsPollAnswer = $obPollAnswer->getAll("pa_pq_id = '" . $questionId . "' and cl_status = 1 ", "cl_order");
        $baseNameOption = 'txt_' . $questionId;
        $htmlActionClick = "";
        $classRequired = "";

        switch ($rowQuestion['pq_qt_id']) {
            case 16://Pregunta abierta
                if ($isResolve) {
                    $htmlActionClick = '';
                    $classRequired = "required";
                }
                $html = '<input name="' . $baseNameOption . '"  type="text" class="text large-input ' . $classRequired . '" id="txt_' . $questionId . '"  maxlength="100" value="" /><br>';
                break;
            case 9://Ordinal            
                $numOptions = $this->_DB->db_numrows($rsPollAnswer);
                while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                    $htmlActionClic = "";
                    if ($isResolve) {
                        $htmlActionClick = '';
                        $classRequired = "checkordinal required";
                    }
                    $html .= '<p><input idquestion=' . $questionId . ' name="' . $baseNameOption . '[' . $rowPollAnswer ['pa_id'] . ']" min="1" max="' . $numOptions . '" size="5"  type="text" class="small-input numeric digits ' . $classRequired . '"  maxlength="2" value="" /> &#09 ' . $rowPollAnswer['pa_answer'] . ' </p><br>
                        ';
                }
                break;
            case 10://Fraccionamiento
                while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                    $htmlActionClic = "";
                    if ($isResolve) {
                        $htmlActionClick = '';
                        $classRequired = "checkfraccionamiento required";
                    }
                    $html .= '<p><input idquestion=' . $questionId . ' name="' . $baseNameOption . '[' . $rowPollAnswer['pa_id'] . ']" size="5"  type="text" class="small-input numeric digits ' . $classRequired . '"  maxlength="8" value="" /> &#09 ' . $rowPollAnswer['pa_answer'] . ' </p><br>
                        ';
                }
                break;
            case 7:// Respuesta múltimple
                while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                    $htmlActionClic = "";
                    if ($isResolve) {
                        $htmlActionClick = 'onclick = "checkOption(' . $rowQuestion ['pq_filter'] . ',' . $rowQuestion ['pq_qt_id'] . ',' . $rowPollAnswer['pa_value'] . ')"';
                        $classRequired = "required";
                    }
                    $html .= '<input class="' . $classRequired . '" type="checkbox" ' . $htmlActionClick . ' name="' . $baseNameOption . '[]" value="' . $rowPollAnswer ['pa_id'] . '"> ' . $rowPollAnswer['pa_answer'] . "<br>";
                }
                break;
            default: //Repuesta única
                while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                    $htmlActionClick = "";
                    if ($isResolve) {
                        $htmlActionClick = 'onclick = "checkOption(' . $rowQuestion ['pq_filter'] . ',' . $rowQuestion ['pq_qt_id'] . ',' . $rowPollAnswer['pa_value'] . ')"';
                        $classRequired = "required";
                    }
                    $html .= '<input class="' . $classRequired . '" type="radio" ' . $htmlActionClick . ' name="' . $baseNameOption . '" value="' . $rowPollAnswer ['pa_id'] . '"> ' . $rowPollAnswer['pa_answer'] . "<br>";
                }
        }
        return $html;
    }

    function getSegments($isGetOptions = true, $aOptions = false, $getNse = false, $includePregsNse = true) {
        $obQuestionType = newClassMod("p_question_type", "mod_config");
        $whereAdd = "";
        if ($includePregsNse) {
            $whereAdd = " and (qt_type = 1 or qt_type = 3) ";
        } else {
            $whereAdd = " and qt_type = 1 ";
        }
        if (!$getNse) {
            $whereAdd .= " and qt_id != 3 ";
        }
        $rsQuestionType = $obQuestionType->getAll("cl_status = 1 " . $whereAdd, "qt_type, qt_id");
        $aPoll = array();
        while ($rowQuestionType = $obQuestionType->nextrow($rsQuestionType)) {
            $aPoll[$rowQuestionType["qt_id"]] = $rowQuestionType;
            if ($isGetOptions) {
                $aPoll[$rowQuestionType["qt_id"]]["options"] = $this->getOptionsSegmentsPoll($rowQuestionType);
            } elseif ($aOptions) {
                $aPoll[$rowQuestionType["qt_id"]]["aoptions"] = $this->getArrayOptionsSegmentsPoll($rowQuestionType);
            }
        }
        return $aPoll;
    }

    function getArrayOptionsSegmentsPoll($rowQuestionType) {
        $segmentId = $rowQuestionType['qt_id'];
        $obQuestionTypeAnswer = newClassMod("p_question_type_answer", "mod_config");
        $rsPollAnswer = $obQuestionTypeAnswer->getAll("qta_qt_id = '" . $segmentId . "' and cl_status = 1 ", "cl_order");
        $aOptions = array();
        while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
            $aOptions[] = $rowPollAnswer;
        }
        return $aOptions;
    }

    private function getOptionsSegmentsPoll($rowQuestionType) {
        $segmentId = $rowQuestionType['qt_id'];
        $obQuestionTypeAnswer = newClassMod("p_question_type_answer", "mod_config");
        $rsPollAnswer = $obQuestionTypeAnswer->getAll("qta_qt_id = '" . $segmentId . "' and cl_status = 1 ", "cl_order");
        $numPollAnswer = $this->_DB->db_numrows($rsPollAnswer);
        $html = "";
        $baseNameOption = 'txtseg_' . $segmentId;
        $htmlActionClick = "";
        if ($segmentId == 2) {
            $html = '<input name="' . $baseNameOption . '"  type="text" class="text small-input digits required" id="txt_' . $segmentId . '"  maxlength="3" value="" /><br>';
        } else {
            if ($rowQuestionType['qt_answer_type'] == "1") {
                while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                    $html .= '<input class="required" type="checkbox" ' . $htmlActionClick . ' name="' . $baseNameOption . '[]" value="' . $rowPollAnswer ['qtr_id'] . '"> ' . $rowPollAnswer['qtr_answer'] . "<br>";
                }
            } else {

                if ($numPollAnswer > 4 && $rowQuestionType['qt_type'] != 3) {
                    $html .= '<select class="segment required" name="' . $baseNameOption . '"><option value="">- Seleccionar -</option>';
                    while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                        $html .= '<option value="' . $rowPollAnswer ['qtr_id'] . '">' . $rowPollAnswer['qtr_answer'] . '</option>';
                    }
                    $html .= '</select><br>';
                } else {
                    while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                        $html .= '<input class="required" type="radio" ' . $htmlActionClick . ' name="' . $baseNameOption . '" value="' . $rowPollAnswer ['qtr_id'] . '"> ' . $rowPollAnswer['qtr_answer'] . "<br>";
                    }
                }
            }
        }
        return $html;
    }

    function resolveQueston($idQ) {
        $obRespPoll = newClassMod("p_resp_poll", "mod_poll");
        $obRespPoll->rp_p_id = $idQ;
        $obRespPoll->rp_paso_filtro = $_POST['txt_pasofiltro'];
        if (isset($_POST['txt_name'])) {
            $obRespPoll->rp_seg_name = $_POST['txt_name'];
        }
        if (isset($_POST['txt_lastname'])) {
            $obRespPoll->rp_seg_lastname = $_POST['txt_lastname'];
        }
        if (isset($_POST['txt_correo'])) {
            $obRespPoll->rp_seg_email = $_POST['txt_correo'];
        }
        if (isset($_POST['txt_telefono'])) {
            $obRespPoll->rp_seg_phone = $_POST['txt_telefono'];
        }
        $obRespPoll->rp_seg_age = $_POST['txtseg_2'];
        $obRespPoll->rp_date_ini = $_POST['txt_date_ini'];
        $obRespPoll->rp_date_end = date("Y-m-d H:i:s");
        $obRespPoll->n_num_cuestionary = $_POST['txt_numquest'];
        $obRespPoll->cl_status = 1;
        $idRespPoll = 0;
        if ($obRespPoll->doInsert()) {
            $idRespPoll = $obRespPoll->max();
            $obRespPoll->getRow($idRespPoll);
            $aQuestions = $this->getQuestions($idQ, TRUE, FALSE);
            if (is_array($aQuestions)) {
                foreach ($aQuestions as $aQuest) {
                    $baseNameOption = 'txt_' . $aQuest["pq_id"];
                    $valueId = 0;
                    $valueText = "";
                    if ($aQuest['pq_filter'] == 1) {
                        if (isset($_POST[$baseNameOption])) {
                            $this->insertResolveQuestion($idRespPoll, $aQuest["pq_id"], $_POST[$baseNameOption]);
                        }
                    } else {
                        switch ($aQuest['pq_qt_id']) {
                            case 16://Pregunta abierta
                                if (isset($_POST[$baseNameOption]) && !empty($_POST[$baseNameOption])) {
                                    $this->insertResolveQuestion($idRespPoll, $aQuest["pq_id"], 0, 0, $_POST[$baseNameOption]);
                                }
                                break;
                            case 9://Ordinal
                            case 10://Fraccionamiento
                                if (isset($_POST[$baseNameOption])) {
                                    if (is_array($_POST[$baseNameOption])) {

                                        foreach ($_POST[$baseNameOption] as $key => $valueID) {
                                            $this->insertResolveQuestion($idRespPoll, $aQuest["pq_id"], $key, $valueID);
                                        }
                                    }
                                }
                                break;
                            case 7:// Respuesta múltimple
                                if (isset($_POST[$baseNameOption])) {
                                    if (is_array($_POST[$baseNameOption])) {

                                        foreach ($_POST[$baseNameOption] as $key => $valueID) {
                                            $this->insertResolveQuestion($idRespPoll, $aQuest["pq_id"], $valueID);
                                        }
                                    }
                                }
                                break;
                            default: //Repuesta única
                                if (isset($_POST[$baseNameOption])) {
                                    $this->insertResolveQuestion($idRespPoll, $aQuest["pq_id"], $_POST[$baseNameOption]);
                                }
                        }
                    }
                }
            }
            $aSegments = $this->getSegments(false);
            $sumNse = 0;
            if (is_array($aSegments)) {
                foreach ($aSegments as $aQuest) {
                    $baseNameOption = 'txtseg_' . $aQuest["qt_id"];
                    if (isset($_POST[$baseNameOption]) && !empty($_POST[$baseNameOption])) {
                        if ($aQuest["qt_id"] == 2) {//Year
                            $_POST[$baseNameOption] = $this->getIdYear($_POST[$baseNameOption]);
                        }

                        $aRespuestasSeleccionadas = array();
                        if (is_array($_POST[$baseNameOption])) {
                            $aRespuestasSeleccionadas = $_POST[$baseNameOption];
                        } else {
                            $aRespuestasSeleccionadas[] = $_POST[$baseNameOption];
                        }
                        foreach ($aRespuestasSeleccionadas as $respSelId) {
                            $this->insertResolveSegment($idRespPoll, $aQuest["qt_id"], $respSelId);
                            if ($aQuest['qt_type'] == 3) {
                                $obQuestionTypeAnswer = newClassMod("p_question_type_answer", "mod_config");
                                $obQuestionTypeAnswer->gtw_value = 0;
                                $obQuestionTypeAnswer->getRow($respSelId);
                                $sumNse += $obQuestionTypeAnswer->gtw_value;
                            }
                        }
                    }
                }
            }
            $obRespPoll->rp_seg_snse = $sumNse;
            $obRespPoll->doUpdate();
            $this->insertResolveSegment($idRespPoll, 3, $this->getIdNse($sumNse));
        }
        return $idRespPoll;
    }

    function resolveQuestionQuestions($idQ, $idRespPoll) {
        $aQuestions = $this->getQuestions($idQ, TRUE, FALSE);
        if (is_array($aQuestions)) {
            foreach ($aQuestions as $aQuest) {
                $baseNameOption = 'txt_' . $aQuest["pq_id"];
                $valueId = 0;
                $valueText = "";
                if ($aQuest['pq_filter'] == 0) {
                    switch ($aQuest['pq_qt_id']) {
                        case 16://Pregunta abierta
                            if (isset($_POST[$baseNameOption]) && !empty($_POST[$baseNameOption])) {
                                $this->insertResolveQuestion($idRespPoll, $aQuest["pq_id"], 0, 0, $_POST[$baseNameOption]);
                            }
                            break;
                        case 9://Ordinal
                        case 10://Fraccionamiento
                            if (isset($_POST[$baseNameOption])) {
                                if (is_array($_POST[$baseNameOption])) {

                                    foreach ($_POST[$baseNameOption] as $key => $valueID) {
                                        $this->insertResolveQuestion($idRespPoll, $aQuest["pq_id"], $key, $valueID);
                                    }
                                }
                            }
                            break;
                        case 7:// Respuesta múltimple
                            if (isset($_POST[$baseNameOption])) {
                                if (is_array($_POST[$baseNameOption])) {

                                    foreach ($_POST[$baseNameOption] as $key => $valueID) {
                                        $this->insertResolveQuestion($idRespPoll, $aQuest["pq_id"], $valueID);
                                    }
                                }
                            }
                            break;
                        default: //Repuesta única
                            if (isset($_POST[$baseNameOption])) {
                                $this->insertResolveQuestion($idRespPoll, $aQuest["pq_id"], $_POST[$baseNameOption]);
                            }
                    }
                }
            }
        }
    }

    private function insertResolveQuestion($rpa_rp_id, $rpa_pq_id, $rpa_pa_id, $rpa_value = 0, $rpa_value_text = "") {
        $obRespPollAnswer = newClassMod("p_resp_poll_answer", "mod_poll");
        $obRespPollAnswer->rpa_rp_id = $rpa_rp_id;
        $obRespPollAnswer->rpa_pq_id = $rpa_pq_id;
        $obRespPollAnswer->rpa_pa_id = $rpa_pa_id;
        $obRespPollAnswer->rpa_value = $rpa_value;
        $obRespPollAnswer->rpa_value_text = $rpa_value_text;

        return $obRespPollAnswer->doInsert();
    }

    private function insertResolveSegment($prs_rp_id, $prs_qt_id, $prs_qtr_id) {
        $obRespPollSegment = newClassMod("p_resp_poll_segment", "mod_poll");
        $obRespPollSegment->prs_rp_id = $prs_rp_id;
        $obRespPollSegment->prs_qt_id = $prs_qt_id;
        $obRespPollSegment->prs_qtr_id = $prs_qtr_id;

        return $obRespPollSegment->doInsert();
    }

    function getIdYear($year) {
        $obQuestionTypeAnswer = newClassMod("p_question_type_answer", "mod_config");
        $rsPollAnswer = $obQuestionTypeAnswer->getAll("qta_qt_id = 2", "cl_order");
        while ($rowPollAnswer = $obQuestionTypeAnswer->nextrow($rsPollAnswer)) {
            $aYears = explode("-", $rowPollAnswer ['qtr_answer']);
            if (is_array($aYears) && count($aYears) == 2) {
                if ($year >= $aYears[0] && $year <= $aYears[1]) {
                    return $rowPollAnswer['qtr_id'];
                }
            }
        }
        return 0;
    }

    function getIdNse($sunNse) {
        $obQuestionTypeAnswer = newClassMod("p_question_type_answer", "mod_config");
        $rsPollAnswer = $obQuestionTypeAnswer->getAll("qta_qt_id = 3", "cl_order");
        while ($rowPollAnswer = $obQuestionTypeAnswer->nextrow($rsPollAnswer)) {
            $aYears = explode("-", $rowPollAnswer ['qtr_rango']);
            if (is_array($aYears) && count($aYears) == 2) {
                if ($sunNse >= $aYears[0] && $sunNse <= $aYears[1]) {
                    return $rowPollAnswer['qtr_id'];
                }
            }
        }
        return 0;
    }

    function getQuestionStatistics($idPoll, $Question, $aSegments, $includeSegments = true, $tableborder = 0) {
        if (isset($aSegments) && is_array($aSegments)) {
            reset($aSegments);
        }
        $html = "";
        $background = "";

        if ($tableborder == 1) {
            $background = ";background-color:#09AAD6";
        }
        $questionId = $Question["pq_id"];
        switch ($Question['pq_qt_id']) {
            case 16://Pregunta abierta
                break;
            case 9://Ordinal
                $obPollAnswer = newClassMod("p_poll_answer", "mod_poll");
                $rsPollAnswer = $obPollAnswer->getAll("pa_pq_id = '" . $questionId . "' and cl_status = 1 ", "cl_order");
                $totalOption = $this->_DB->db_numrows($rsPollAnswer);
                $html .= '<table border="' . $tableborder . 'px"><tr><th rowspan=2 style="text-align:center ' . $background . '"><b>Respuesta</b></th><th colspan=' . $totalOption . ' style="text-align:center ' . $background . '"><b>Órden</b></th></tr><t r>';
                for ($i = 1; $i <= $totalOption; $i++) {
                    $html .= '<td style="text-align:center ' . $background . '"><b>' . $i . '</b></td>';
                }
                $html .= '</tr>';
                while ($rowPollAnswer = $obPollAnswer->nextrow($rsPollAnswer)) {
                    $html .= '<tr>';
                    $html .= '<th style="text-align:center"><b>' . $rowPollAnswer['pa_answer'] . '</b></th>';
                    for ($i = 1; $i <= $totalOption; $i++) {
                        $html .= '<td style="text-align:center">' . $this->getCountPollRespOption($idPoll, $questionId, $rowPollAnswer['pa_id'], 0, $i) . '</td>';
                    }
                    $html .= '</tr>';
                }
                $html .= '</table>';
                break;
            case 10://Fraccionamiento
                $html = "--";
                break;
            default:
                $rospna = 2;
                if (!$includeSegments) {
                    $rospna = 1;
                }
                $html .= '<table  border="' . $tableborder . 'px"><tr><th rowspan=' . $rospna . ' style="text-align:center ' . $background . '"><b>Respuesta</b></th><th rowspan=' . $rospna . ' style="text-align:center ' . $background . '"><b>Total</b></th>';
                if ($includeSegments) {
                    foreach ($aSegments as $idseg => $rowSegment) {
                        $aSegmentsRespts = $this->getCountPollRespSegments($idPoll, $rowSegment['qt_id']);
                        $aSegments[$idseg]['aoptions'] = $aSegmentsRespts;
                        $html .= '<th colspan=' . count($aSegments[$idseg] ['aoptions']) . ' style="text-align:center ' . $background . '"><b>' . $rowSegment['qt_name'] . '</b></th>';
                    }

                    $html .= '</ tr><tr>';

                    foreach ($aSegments as $idseg => $rowSegment) {

                        foreach ($rowSegment['aoptions'] as $rowOptionSeg) {
                            $html .= '<th style="text-align:center ' . $background . '">' . $rowOptionSeg['qtr_answer'] . '</th>';
                        }
                    }
                }
                $html .= '</tr>';
                $obPollAnswer = newClassMod("p_poll_answer", "mod_poll");
                $rsPollAnswer = $obPollAnswer->getAll("pa_pq_id = '" . $questionId . "' and cl_status = 1 ", "cl_order");
                //$aPollAnswer = $obPollAnswer->parceRsToArray($rsPollAnswer);

                $total100 = $this->getCountPollRespOption($idPoll, $questionId);

                $aTotalesQuestion = array();
                $aTotalesQuestion[0] = 0;
                $pocejtajePollAansQest = [];
                while ($rowPollAnswer = $obPollAnswer->nextrow($rsPollAnswer)) {
                    $aPollAnswer[] = $rowPollAnswer;

                    if ($includeSegments) {
                        foreach ($aSegments as $idseg => $rowSegment) {
                            foreach ($rowSegment['aoptions'] as $rowOptionSeg) {
                                $pocejtajePollAansQest[$rowPollAnswer['pa_id']][$idseg][$rowOptionSeg['qtr_id']] = $this->getPorcetaje($total100, $this->getCountPollRespOption($idPoll, $questionId, $rowPollAnswer ['pa_id'], $rowOptionSeg['qtr_id']), false, false);

                                if (!isset( $aTotalesQuestion[$rowOptionSeg['qtr_id']])) {
                                    $aTotalesQuestion[$rowOptionSeg['qtr_id']] = 0;
                                }
                                $aTotalesQuestion[$rowOptionSeg['qtr_id']] += $pocejtajePollAansQest[$rowPollAnswer['pa_id']][$idseg][$rowOptionSeg['qtr_id']];
                            }
                        }
                    }
                }

            //print_r($pocejtajePollAansQest); exit;

                foreach ($aPollAnswer as $rowPollAnswer) {

                    $total1parte = $this->getCountPollRespOption($idPoll, $questionId, $rowPollAnswer['pa_id']);

                    reset($rowSegment['aoptions']);
                    $totalOption = $this->getPorcetaje($total100, $total1parte, false, false);

                    $aTotalesQuestion[0] += $totalOption;

                    $html .= '<tr>';
                    $html .= '<th style="text-align:center"><b>' . $rowPollAnswer['pa_answer'] . '</b></th>';
                    $html .= '<td style="text-align:center">' . number_fogetSegmentsrmat($totalOption, 2) . ' %</td>';

                    /*obteniendo total de la respuista*/

                    /*************************/

                    if ($includeSegments) {
                        foreach ($aSegments as $idseg => $rowSegment) {
                            foreach ($rowSegment['aoptions'] as $rowOptionSeg) {
                                $pocejtajePollAansQest2 = $pocejtajePollAansQest[$rowPollAnswer['pa_id']][$idseg][$rowOptionSeg['qtr_id']];

                                $html .= '<td style="text-align:center">' . number_format(($pocejtajePollAansQest2/$aTotalesQuestion[$rowOptionSeg['qtr_id']])*100, 2) . '%</td>';
                            }
                        }
                    }
                    /*************************/
                    $html .= '</tr>';
                }

                $html .= '<tr><td style="text-align:center"><b>Total</b></td>';
                $html .= '<td style="text-align:center"><b>' . number_format($aTotalesQuestion[0], 2) . ' %</b></td>';
                if ($includeSegments) {
                    reset($aSegments);
                    foreach ($aSegments as $idseg => $rowSegment) {
                        foreach ($rowSegment['aoptions'] as $rowOptionSeg) {
                            $html .= '<td style="text-align:center"><b>' . number_format($aTotalesQuestion[$rowOptionSeg['qtr_id']], 2) . '%</b></td>';
                        }
                    }
                }
                $html .= '</tr></table><br><table style="width:300px;" border="' . $tableborder . 'px"><tr><td style="text-align:center"><b>Base de entrevistados</b></td><td style="text-align:center">' . $total100 . '</td></tr></table>';


                break;
        }
        return $html;
    }

    function getGroupQuestionStatistics($idPoll, $groupQuestion, $tableborder = 0) {
        if (!isset($this->aGrsupResp[$groupQuestion['pq_namegroup']])) {
            $this->aGrsupResp[$groupQuestion['pq_namegroup']] = array();
        }

        $background = "";

        if ($tableborder == 1) {
            $background = "background-color:#09AAD6";
        }

        $sqlPreguntas = "select p_poll_question.pq_id, p_poll_question.pq_namevar from p_poll_question where p_poll_question.pq_p_id = '" . $idPoll . "' and p_poll_question.pq_qt_id = '" . $groupQuestion['qt_id'] . "' and p_poll_question.pq_namegroup = '" . $groupQuestion['pq_namegroup'] . "'";
        $rsPreguntas = $this->_DB->db_query($sqlPreguntas);
        $html = "<table border='" . $tableborder . "px'>";
        $opPollAnaswer = newClassMod("p_poll_answer", "mod_poll");
        $contador = 0;
        while ($rowPreguntas = $this->nextRow($rsPreguntas)) {
            $questionId = $rowPreguntas['pq_id'];
            $rsPollAnaswer = $opPollAnaswer->getAll(" pa_pq_id	= '" . $rowPreguntas['pq_id'] . "' ", "pa_value desc");
            $numPollAnaswer = $this->_DB->db_numrows($rsPollAnaswer);
            $aPollAnaswer = $this->_DB->parceRsToArray($rsPollAnaswer);
            if ($contador == 0) {
                $html .= '<tr><td style="' . $background . '"> </td>';
                foreach ($aPollAnaswer as $rowPollAnaswer) {
                    $html .= '<td style="' . $background . '"><b>' . $rowPollAnaswer->pa_answer . '</b></td>';
                }
                $html .= '<td  style="' . $background . '"><b>Total</b></td></tr>';
                reset($aPollAnaswer);
            }
            $html .= '<tr>';
            $html .= '<th><b>' . $rowPreguntas['pq_namevar'] . '</b></th>';
            $total100 = $this->getCountPollRespOption($idPoll, $questionId);
            $contadorOption = 1;
            foreach ($aPollAnaswer as $rowPollAnaswer) {
                if (!isset($this->aGrsupResp[$groupQuestion['pq_namegroup']][$rowPreguntas['pq_namevar']])) {
                    $this->aGrsupResp[$groupQuestion['pq_namegroup']][$rowPreguntas['pq_namevar']] = array("T2B" => 0, "B2B" => 0);
                }
                $total1parte = $this->getCountPollRespOption($idPoll, $questionId, $rowPollAnaswer->pa_id);
                $porcentajeParte = $this->getPorcetaje($total100, $total1parte);
                if ($contadorOption <= 2) {
                    $this->aGrsupResp[$groupQuestion['pq_namegroup']][$rowPreguntas['pq_namevar']]["T2B"] += $porcentajeParte;
                }
                if ($contadorOption > ($numPollAnaswer - 2)) {
                    $this->aGrsupResp[$groupQuestion['pq_namegroup']][$rowPreguntas['pq_namevar']]["B2B"] += $porcentajeParte;
                }
                $html .= '<td>' . $porcentajeParte . '%</td>';
                $contadorOption++;
            }
            $html .= '<td>' . $this->getPorcetaje($total100, $total100, true) . '</td>';
            $html .= '</tr>';
            $contador++;
        }
        $html .= "</table>";
        return $html;
    }

    /* function getGroupQuestionStatistics($idPoll, $groupQuestion) {
      $sqlOptions = "select p_poll_answer.pa_answer, count(p_poll_answer.pa_id) as num_r from p_poll_question, p_poll_answer where p_poll_question.pq_p_id = '" . $idPoll . "' and p_poll_question.pq_qt_id = '" . $groupQuestion['qt_id'] . "' and p_poll_question.pq_namegroup = '" . $groupQuestion['pq_namegroup'] . "' and p_poll_question.pq_id = p_poll_answer.pa_pq_id group by p_poll_answer.pa_answer order by p_poll_answer.cl_order";
      $rsOptions = $this->_DB->db_query($sqlOptions);


      $sqlPreguntas = "select p_poll_question.pq_id, p_poll_question.pq_namevar from p_poll_question where p_poll_question.pq_p_id = '" . $idPoll . "' and p_poll_question.pq_qt_id = '" . $groupQuestion['qt_id'] . "' and p_poll_question.pq_namegroup = '" . $groupQuestion['pq_namegroup'] . "'";
      $rsPreguntas = $this->_DB->db_query($sqlPreguntas);
      $html = "<table>";

      $aOptions = array();
      $html .= '<tr><td></td>';
      while ($rowOptions = $this->nextRow($rsOptions)) {
      $aOptions[] = $rowOptions['pa_answer'];
      $html .= "<th><b>" . $rowOptions['pa_answer'] . "</b></th>";
      }
      $html .= '</tr>';

      while ($rowPreguntas = $this->nextRow($rsPreguntas)) {
      reset($aOptions);
      $html .= '<tr>';
      $html .= '<th><b>' . $rowPreguntas['pq_namevar'] . '</b></th>';
      foreach($aOptions as $optionGr) {
      $html .= '<td></td>';
      }
      $html .= '</tr>';
      }
      $html .= "</table>";
      return $html;
      } */

    function getPorcetaje($total, $parte, $simbol = false, $format = true) {
        $back_retur = 0;
        if ($total > 0) {
            if ($format) {
                $back_retur = number_format(($parte * 100) / $total, 2);
            } else {
                $back_retur = ($parte * 100) / $total;
            }
        }
        if ($simbol) {
            $back_retur .="%";
        }
        return $back_retur;
    }

    function getQuestionStatisticsChart($idPoll, $Question) {
        $questionId = $Question["pq_id"];
        $obQuestionType = newClassMod("p_question_type", "mod_config");
        $obQuestionType->getRow($Question['pq_qt_id']);
        $aData = array();
        switch ($Question['pq_qt_id']) {
            case 16://Pregunta abierta                
            case 9://Or$obQuestionTypedinal
            case 10://Fraccionamiento

                break;
            default: $obPollAnswer = newClassMod("p_poll_answer", "mod_poll");
                $rsPollAnswer = $obPollAnswer->getAll("pa_pq_id = '" . $questionId . "' and cl_status = 1 ", "cl_order");
                $contadorX = 1;
                $total100 = $this->getCountPollRespOption($idPoll, $questionId);
                while ($rowPollAnswer = $obPollAnswer->nextrow($rsPollAnswer)) {
                    $aData[] = "{ y: " . $this->getPorcetaje($total100, $this->getCountPollRespOption($idPoll, $questionId, $rowPollAnswer['pa_id'])) . ", label: '" . $rowPollAnswer['pa_answer'] . "' }";
                    $contadorX++;
//x:" . ($contadorX*10) . ",
                }
                break;
        }
        return array($obQuestionType->
            qt_chart, count($aData), implode(",", $aData));
    }

    function getCountPollRespSegments($idPoll, $segmentID) {
        $sql = "select p_question_type_answer.qtr_id, p_question_type_answer.qtr_answer, count(p_question_type_answer.qtr_id) as numreps from p_resp_poll, p_resp_poll_segment, p_question_type_answer where  p_resp_poll.rp_id = p_resp_poll_segment.prs_rp_id and p_resp_poll.rp_p_id = '" . $idPoll . "' and p_resp_poll_segment.prs_qtr_id = p_question_type_answer.qtr_id and p_question_type_answer.qta_qt_id = '" . $segmentID . "'  group by p_question_type_answer.qtr_id order by p_question_type_answer.qtr_answer";
        $rs = $this->_DB->db_query($sql);
        $aResp = array();
        while ($row = $this->nextRow($rs)) {
            $aResp [] = $row;
        }
        if (count($aResp) == 0) {
            $aResp[] = array("qtr_id" => 0, "qtr_answer" => "-",
                "numreps" => 0);
        }
        return $aResp;
    }

    function getCountPollRespOption($idPoll, $questionId, $optionId = 0, $segmentAnswebId = 0, $valueOrd = 0) {
        if ($segmentAnswebId > 0) {
            $sql = "select count(p_resp_poll_answer.rpa_id) as numresp from p_resp_poll, p_resp_poll_answer, p_resp_poll_segment where p_resp_poll.rp_id = p_resp_poll_answer.rpa_rp_id and  p_resp_poll.rp_id = p_resp_poll_segment.prs_rp_id and
p_resp_poll.rp_p_id = '" . $idPoll . "' and p_resp_poll_answer.rpa_pq_id = '" . $questionId . "' and p_resp_poll_answer.rpa_pa_id = '" . $optionId . "' and p_resp_poll_segment.prs_qtr_id = '" . $segmentAnswebId . "'";
        } else {
            $sql = "select count(p_resp_poll_answer.rpa_id) as numresp
            from p_resp_poll, p_resp_poll_answer
            where p_resp_poll.rp_id = p_resp_poll_answer.rpa_rp_id and p_resp_poll.rp_p_id = '" . $idPoll . "' and p_resp_poll_answer.rpa_pq_id = '" . $questionId . "' ";
            if ($optionId > 0) {
                $sql .= " and p_resp_poll_answer.rpa_pa_id = '" . $optionId . "'";
            }
            if ($valueOrd > 0) {
                $sql .= " and p_resp_poll_answer.rpa_value = '" . $valueOrd . "'";
            }
        }
        $rs = $this->_DB->db_query($sql);
        if ($row = $this->nextRow($rs)) {
            return $row['numresp'];
        } else {
            return 0;
        }
    }

    function downloadImporModel() {
        require_once PATH_ADMIN . '/library/PHPExcel_1.8.0_doc/Classes/PHPExcel.php';
        $objPHPExcel = new PHPExcel();
        $objPHPExcel->getProperties()->setCreator("4rzo.com")
                ->setLastModifiedBy("4rzo.com")
                ->setTitle($this->p_title);

        $styleArray = array(
            'borders' => array(
                'allborders' => array(
                    'style' => PHPExcel_Style_Border::BORDER_THIN
                )
            )
        );

        $aFilters = $this->downloadImporModelGetQuestion($this->p_id, "F");
        $numColumnsFilters = $this->combineaDataPoll($aFilters);
        $aSegments = $this->downloadImporModelGetQuestion($this->p_id, "S");
        $numColumnsSegments = $this->combineaDataPoll($aSegments);
        $aQuestions = $this->downloadImporModelGetQuestion($this->p_id, "Q");
        $numColumnsQuestions = $this->combineaDataPoll($aQuestions);
        //var_dump($this->aDataPoll); exit;
        /*
         * $aDataCols = array();
          $aDataCols[] = "";
          foreach ($this->aDataPoll as $questionData) {
          foreach ($questionData["columns"] as $questiocolum) {
          $aDataCols[] = $questiocolum['code'];
          }
          }
         */

        $sheetId = 0;
        $objPHPExcel->setActiveSheetIndex($sheetId);
        $objPHPExcel->getActiveSheet()->setTitle('Modelo');

        $counterRow = 1;
        $objPHPExcel->setActiveSheetIndex($sheetId)->setCellValueByColumnAndRow(1, $counterRow, "Preguntas");
        $objPHPExcel->setActiveSheetIndex($sheetId)->getStyleByColumnAndRow(1, $counterRow)->getFont()->setBold(true);
        foreach ($this->aDataPoll as $questionData) {
            $counterRow++;
            $objPHPExcel->setActiveSheetIndex($sheetId)->setCellValueByColumnAndRow(0, $counterRow, $questionData['order']);
            $objPHPExcel->setActiveSheetIndex($sheetId)->setCellValueByColumnAndRow(1, $counterRow, $questionData['question']);            
            foreach($questionData['answers'] as $preg_anser){
                $counterRow++;
                $objPHPExcel->setActiveSheetIndex($sheetId)->setCellValueByColumnAndRow(1, $counterRow, $preg_anser);            
            }
            $counterRow++;
            
        }
        
        $objPHPExcel->setActiveSheetIndex($sheetId)->getColumnDimensionByColumn(1)->setAutoSize(true);

        reset($this->aDataPoll);
        $sheetId = 1;
        $objPHPExcel->createSheet(NULL, $sheetId);
        $objPHPExcel->setActiveSheetIndex($sheetId);
        $objPHPExcel->getActiveSheet()->setTitle("Datos");

        $pRow1 = 1;
        $pRow2 = 1;

        $total_rows = 0;
        $total_cols = 0;


        $objPHPExcel->setActiveSheetIndex($sheetId)->mergeCellsByColumnAndRow($total_cols, $pRow1, 0, $pRow2 + 1);
        $objPHPExcel->setActiveSheetIndex($sheetId)->setCellValueByColumnAndRow($total_cols, $pRow1, "Encuesta");
        $objPHPExcel->setActiveSheetIndex($sheetId)->getStyleByColumnAndRow($total_cols, $pRow1)->getFont()
                ->setBold(true)
                ->applyFromArray($styleArray);
        $total_cols += 1;

        /* Filtros */
        $numColumns = $numColumnsFilters;
        $objPHPExcel->setActiveSheetIndex($sheetId)->mergeCellsByColumnAndRow($total_cols, $pRow1, ($total_cols + $numColumns - 1), $pRow2);
        $objPHPExcel->setActiveSheetIndex($sheetId)->setCellValueByColumnAndRow($total_cols, $pRow1, "Filtros");
        $objPHPExcel->setActiveSheetIndex($sheetId)->getStyleByColumnAndRow($total_cols, $pRow1)->getFont()->setBold(true)
                ->applyFromArray($styleArray);
        $total_cols += $numColumns;

        /* Segmentos */
        $numColumns = $numColumnsSegments;
        $objPHPExcel->setActiveSheetIndex($sheetId)->mergeCellsByColumnAndRow($total_cols, $pRow1, ($total_cols + $numColumns - 1), $pRow2);
        $objPHPExcel->setActiveSheetIndex($sheetId)->setCellValueByColumnAndRow($total_cols, $pRow1, "Segmentos");
        $objPHPExcel->setActiveSheetIndex($sheetId)->getStyleByColumnAndRow($total_cols, $pRow1)->getFont()->setBold(true)
                ->applyFromArray($styleArray);
        $total_cols += $numColumns;

        /* Preguntas */
        $numColumns = $numColumnsQuestions;
        if ($numColumns > 0) {
            $objPHPExcel->setActiveSheetIndex($sheetId)->mergeCellsByColumnAndRow($total_cols, $pRow1, ($total_cols + $numColumns - 1), $pRow2);
            $objPHPExcel->setActiveSheetIndex($sheetId)->setCellValueByColumnAndRow($total_cols, $pRow1, "Preguntas");
            $objPHPExcel->setActiveSheetIndex($sheetId)->getStyleByColumnAndRow($total_cols, $pRow1)->getFont()->setBold(true)
                    ->applyFromArray($styleArray);
        }


        $pRow1 = 2;
        $pRow2 = 2;
        $total_cols = 1;
        foreach ($this->aDataPoll as $questionData) {
            /* Preguntas */
            $numColumns = count($questionData['columns']);
            $pRow2 = 2;
            $pRow1 = 2;
            /*$objPHPExcel->setActiveSheetIndex($sheetId)->mergeCellsByColumnAndRow($total_cols, $pRow1, ($total_cols + $numColumns - 1), $pRow2);
            $objPHPExcel->setActiveSheetIndex($sheetId)->setCellValueByColumnAndRow($total_cols, $pRow1, $questionData['question']);
            $objPHPExcel->setActiveSheetIndex($sheetId)->getStyleByColumnAndRow($total_cols, $pRow1)->applyFromArray($styleArray);
            $pRow2++;
            $pRow1++;
            $objPHPExcel->setActiveSheetIndex($sheetId)->mergeCellsByColumnAndRow($total_cols, $pRow1, ($total_cols + $numColumns - 1), $pRow2);
            $objPHPExcel->setActiveSheetIndex($sheetId)->setCellValueByColumnAndRow($total_cols, $pRow1, $questionData['order']);
            $objPHPExcel->setActiveSheetIndex($sheetId)->getStyleByColumnAndRow($total_cols, $pRow1)->applyFromArray($styleArray);
            $pRow2++;*/
            foreach ($questionData['columns'] as $questionDataOption) {
                $objPHPExcel->setActiveSheetIndex($sheetId)->setCellValueByColumnAndRow($total_cols, $pRow2, $questionDataOption['code']);
                $objPHPExcel->setActiveSheetIndex($sheetId)->getStyleByColumnAndRow($total_cols, $pRow2)->applyFromArray($styleArray)
                        ->getAlignment()->setWrapText(true);

                $total_cols++;
            }
        }


        /* Ancho de columnas */
        for ($col = 0; $col <= $total_cols; $col++) {
            $objPHPExcel->setActiveSheetIndex($sheetId)->getColumnDimensionByColumn($col)->setAutoSize(true);
        }

        $file = "images/model_" . time() . "_" . $this->p_code . ".xlsx";
        $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
        $objWriter->save($file);
        header("location: " . $file);
        exit;
    }

    function combineaDataPoll($newA) {
        $numColumns = 0;
        foreach ($newA as $aQuestion) {
            $aQuestion["order_gel"] = $this->contador_generarl;
            array_push($this->aDataPoll, $aQuestion);
            $numColumns += count($aQuestion['columns']);
            $this->contador_generarl++;
        }
        return $numColumns;
    }

    function importDataFromExcel() {

        require_once PATH_ADMIN . '/library/PHPExcel_1.8.0_doc/Classes/PHPExcel.php';
        $objReader = PHPExcel_IOFactory::createReader('Excel2007');
        $objReader->setReadDataOnly(true);

        $objPHPExcel = $objReader->load($GLOBALS['fichero_subido']);
        $objWorksheet = $objPHPExcel->setActiveSheetIndex(1);

        $highestRow = $objWorksheet->getHighestRow();
        $highestColumn = $objWorksheet->getHighestColumn();
        $highestColumnIndex = PHPExcel_Cell::columnIndexFromString($highestColumn);

        $aFilters = $this->downloadImporModelGetQuestion($this->p_id, "F");
        $this->combineaDataPoll($aFilters);
        $aSegments = $this->downloadImporModelGetQuestion($this->p_id, "S");
        $this->combineaDataPoll($aSegments);
        $aQuestions = $this->downloadImporModelGetQuestion($this->p_id, "Q");
        $this->combineaDataPoll($aQuestions);



        $aDataCols = array();
        $aDataCols[] = "";
        foreach ($this->aDataPoll as $questionData) {
            foreach ($questionData["columns"] as $questiocolum) {
                $aDataCols[] = $questiocolum['code'];
            }
        }

        for ($row = 3; $row <= $highestRow; ++$row) {
            $_POST = array(
                "txt_name" => "",
                "txt_lastname" => "",
                "txt_correo" => "",
                "txt_telefono" => "",
                "txtseg_2" => "",
                "txt_date_ini" => date("Y-m-d H:i:s"),
                "txt_numquest" => "",
                "txt_pasofiltro" => 1
            );
            for ($col = 0; $col < $highestColumnIndex; ++$col) {
                $valor_imgresado = trim($objWorksheet->getCellByColumnAndRow($col, $row)->getValue());
                if ($col == 0) {
                    $_POST["txt_numquest"] = $valor_imgresado;
                } else {
                    $aTitleDatos = explode(".", $aDataCols[$col]);
                    $idQuestion = $aTitleDatos[1];
                    $nameParamP = "txt_" . $idQuestion;
                    if ($aTitleDatos[0] == "S") {
                        $nameParamP = "txtseg_" . $idQuestion;
                    }
                    if ($aDataCols[$col] == "S.2.0") {
                        $_POST["txtseg_2"] = $valor_imgresado;
                    } elseif ($aTitleDatos[2] == "0") {
                        $_POST[$nameParamP] = $this->getIdQuesttionFromOrder($aTitleDatos[0], $idQuestion, $valor_imgresado);
                    } else {
                        if (!empty($valor_imgresado)) {
                            $_POST[$nameParamP][] = $this->getIdQuesttionFromOrder($aTitleDatos[0], $idQuestion, trim($aTitleDatos[2]));
                        }
                    }
                }
            }
            $this->resolveQueston($this->p_id);
        }
        return true;
    }

    function getIdQuesttionFromOrder($type, $idQuestion, $orden) {
        if ($type == "S") {
            $obQuestionTypeAnswer = newClassMod("p_question_type_answer", "mod_config");
            $obQuestionTypeAnswer->getRowByCols("qta_qt_id = '" . $idQuestion . "' and cl_status = 1 and cl_order = '" . $orden . "' ");
            return $obQuestionTypeAnswer->qtr_id;
        } else {
            $obPollAnswer = newClassMod("p_poll_answer", "mod_poll");
            $obPollAnswer->getRowByCols("pa_pq_id = '" . $idQuestion . "' and cl_status = 1 and cl_order = '" . $orden . "'");
            return $obPollAnswer->pa_id;
        }
    }

    function downloadImporModelGetQuestion($idPoll, $type, $isBr = FALSE) {
        $saldoLInea = "\n";
        if ($isBr) {
            $saldoLInea = "<br>";
        }
        $aDataPollResp = array();
        switch ($type) {
            case "S":
                $obQuestionType = newClassMod("p_question_type", "mod_config");
                $whereAdd = " and (qt_type = 1 or qt_type = 3) and qt_id != 3 ";
                $rsQuestionType = $obQuestionType->getAll("cl_status = 1 " . $whereAdd, "qt_type, qt_id");
                while ($rowQuestionType = $obQuestionType->nextrow($rsQuestionType)) {
                    $orderOption = 0;
                    $aColumns = array();
                    $aValues = array();
                    $segmentId = $rowQuestionType['qt_id'];
                    $text_questions = array();
                    $obQuestionTypeAnswer = newClassMod("p_question_type_answer", "mod_config");
                    $rsPollAnswer = $obQuestionTypeAnswer->getAll("qta_qt_id = '" . $segmentId . "' and cl_status = 1 ", "cl_order");
                    if ($segmentId == 2) {
                        $aColumns[] = array("code" => $type . "." . $rowQuestionType["qt_id"] . ".0", "option" => "");
                        $aValues[] = "-";
                    } elseif ($rowQuestionType['qt_answer_type'] == "0") {
                        $aColumns[] = array("code" => $type . "." . $rowQuestionType["qt_id"] . ".0", "option" => "");
                        while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                            $text_questions[] = $saldoLInea . $rowPollAnswer['cl_order'] . ".=" . $rowPollAnswer['qtr_answer'];
                            $aValues[] = $rowPollAnswer['cl_order'];
                        }
                    } else {
                        while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                            $aColumns[] = array("code" => $type . "." . $rowQuestionType["qt_id"] . "." . $rowPollAnswer['cl_order'], "option" => $rowPollAnswer['qtr_answer']);
                            $text_questions[] = $saldoLInea . $rowPollAnswer['cl_order'] . ".=" . $rowPollAnswer['qtr_answer'];
                            $aValues[] = "-";
                        }
                    }
                    $aDataPollResp[] = array(
                        "id" => $rowQuestionType['qt_id'],
                        "order" => $type . "." . $rowQuestionType['qt_id'],
                        "question" => $rowQuestionType['qt_name'],
                        "answers" => $text_questions,
                        "columns" => $aColumns,
                        "values" => $aValues
                    );
                }
                break;
            case "F"://Filtros
            case "Q"://Pregutnas
                $idTypo = "0";
                if ($type == "F") {
                    $idTypo = "1";
                }

                $obPollQuestion = newClassMod("p_poll_question", "mod_poll");
                $rsPollFilters = $obPollQuestion->getAll("pq_p_id = '" . $idPoll . "' and cl_status = 1 and pq_filter =  " . $idTypo, "pq_filter desc,cl_order");
                while ($rowPollQuestion = $obPollQuestion->nextRow($rsPollFilters)) {
                    $aColumns = array();
                    $aValues = array();
                    $text_questions = array();
                    $obPollAnswer = newClassMod("p_poll_answer", "mod_poll");
                    $rsPollAnswer = $obPollAnswer->getAll("pa_pq_id = '" . $rowPollQuestion['pq_id'] . "' and cl_status = 1 ", "cl_order");
                    switch ($rowPollQuestion['pq_qt_id']) {
                        case 9://Ordinal
                        case 10://Fraccionamiento
                        case 7:// Respuesta múltimple                            
                            while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                                $aColumns[] = array("code" => $type . "." . $rowPollQuestion["pq_id"] . "." . $rowPollAnswer['cl_order'], "option" => $rowPollAnswer['pa_answer']);
                                $text_questions[] = $saldoLInea . $rowPollAnswer['cl_order'] . ".=" . $rowPollAnswer['pa_answer'];
                                $aValues[] = $rowPollAnswer['cl_order'];
                            }
                            break;
                        //case 16://Pregunta abierta                                           
                        default: //Repuesta única
                            $aColumns[] = array("code" => $type . "." . $rowPollQuestion["pq_id"] . ".0", "option" => "");
                            while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                                $text_questions[] = $saldoLInea . $rowPollAnswer['cl_order'] . ".=" . $rowPollAnswer['pa_answer'];
                                $aValues[] = $rowPollAnswer['cl_order'];
                            }
                    }
                    $aDataPollResp[] = array(
                        "id" => $rowPollQuestion['pq_id'],
                        "order" => $type . "." . $rowPollQuestion['pq_id'],
                        "question" => $rowPollQuestion['pg_question'],
                        "answers" => $text_questions,
                        "columns" => $aColumns,
                        "values" => $aValues
                    );
                }
        }
        return $aDataPollResp;
    }

    function downloadPDF() {
        require(PATH_ADMIN . 'library/fpdf181/fpdf.php');
        $pdf = new FPDF();
        $pdf->AddPage();
        $pdf->Image(PATH_ADMIN . 'images/logo.png', 10, 6, 35);
        $pdf->SetFont('Arial', 'B', 15);
//$pdf->Cell(40);
        $pdf->Cell(0, 10, utf8_decode($this->p_title), 0, 0, 'C');
// Line break
        $pdf->Ln(20);
        $idPoll = $this->p_id;

        $pdf->SetFont('Arial', '', 12);
        $pdf->Cell(43, 10, utf8_decode("Número de encuesta:"));
        $pdf->SetFont('Arial', 'B', 12);
        //$pdf->Cell(20, 10.5, $this->p_code);
        $pdf->Cell(25, 8, "", "B");
        $pdf->SetFont('Arial', '', 12);
        $pdf->Cell(50, 10, "");
        $pdf->Cell(35, 10, utf8_decode("Número de Spot:"));
        $pdf->Cell(25, 8, "", "B");
        $pdf->Ln(8);


        /* Filtros */ $obPollQuestion = newClassMod("p_poll_question", "mod_poll");
        $rsPollQuestionFilters = $obPollQuestion->getAll("pq_p_id = '" . $idPoll . "' and cl_status = 1 and pq_filter = 1", "cl_order");
        if ($this->_DB->db_numrows($rsPollQuestionFilters) > 0) {
            $contador = 1;
            $pdf->SetFont('Arial', 'B', 12);
            $pdf->Cell(40, 10, "Filtros");
            $pdf->Ln(8);
            while ($rowPollQuestion = $obPollQuestion->nextrow($rsPollQuestionFilters)) {
                $pdf = $this->pdfSetQuestion($pdf, $rowPollQuestion, $contador);
                $contador++;
            }
            $pdf->Ln(5);
        }

        /* Segmentos */ $obQuestionType = newClassMod("p_question_type", "mod_config");
        $rsQuestionType = $obQuestionType->getAll("(qt_type = 1 or qt_type = 3) and cl_status = 1 and qt_id != 3", "qt_type, qt_name");
        if ($this->_DB->db_numrows($rsQuestionType) > 0) {
            $contador = 1;
            $pdf->SetFont('Arial', 'B', 12);
            $pdf->Cell(40, 10, "Segmentos");
            $pdf->Ln(8);
            while ($rowQuestionType = $obQuestionType->nextrow($rsQuestionType)) {
                $pdf = $this->pdfSetQuestionText($pdf, $rowQuestionType['qt_name'], $contador);
                $segmentId = $rowQuestionType ['qt_id'];
                if ($segmentId == 2) {
                    $pdf->Ln(-5);
                    $pdf->Cell(10, 5, "");
                    $pdf->Cell(30, 5, "", "B");
                    $pdf->Ln(10);
                } else {
                    $obQuestionTypeAnswer = newClassMod("p_question_type_answer", "mod_config");
                    $rsPollAnswer = $obQuestionTypeAnswer->getAll("qta_qt_id = '" . $segmentId . "' and cl_status = 1 ", "cl_order");
                    $numPollAnswer = $this->_DB->db_numrows($rsPollAnswer);
                    if ($numPollAnswer <= 2 && $rowQuestionType['qt_type'] != 3) {
                        while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                            $pdf->Cell(15, 5, "");
                            $pdf->Image(PATH_ADMIN . 'images/radio.png', 20, ($pdf->getY()+1), 3.5);
                            $pdf->MultiCell(0, 5, utf8_decode($rowPollAnswer['qtr_answer']));
                        }
                        $pdf->Ln(5);                    
                    } else {
                        while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                            $pdf->Cell(15, 5, "");
                            $pdf->Image(PATH_ADMIN . 'images/radio.png', 20, ($pdf->getY()+1), 3.5);
                            $pdf->MultiCell(0, 5, utf8_decode($rowPollAnswer['qtr_answer']));
                            //$pdf->Ln(5);
                        }
                        $pdf->Ln(5);
                    }
                }

                $contador++;
            }
            $pdf->Ln(10);
        }

        /* Preguntas */ $obPollQuestion = newClassMod("p_poll_question", "mod_poll");
        $rsPollQuestionFilters = $obPollQuestion->getAll("pq_p_id = '" . $idPoll . "' and cl_status = 1 and pq_filter = 0", "cl_order");
        if ($this->_DB->db_numrows($rsPollQuestionFilters) > 0) {
            $contador = 1;
            $pdf->SetFont('Arial', 'B', 12);
            $pdf->Cell(40, 10, "Preguntas");
            $pdf->Ln(8);
            while ($rowPollQuestion = $obPollQuestion->nextrow($rsPollQuestionFilters)) {
                $pdf = $this->pdfSetQuestion($pdf, $rowPollQuestion, $contador);
                $contador++;
            }
            $pdf->Ln(5);
        }
        $pdf->Output("D", $this->p_code
                . ".pdf");
//$pdf->Output();
        exit;
    }

    private function pdfSetQuestion($pdf, $rowPollQuestion, $contador) {
        $pdf = $this->pdfSetQuestionText($pdf, $rowPollQuestion['pg_question'], $contador);
        $pdf = $this->pdfSetAnswer(
                $pdf, $rowPollQuestion);
        return $pdf;
    }

    private function pdfSetQuestionText($pdf, $question, $contador) {
        if ($contador != "") {
            $contador .= ".- ";
        }
        $pdf->SetFont('Arial', '', 11);
        $pdf->Cell(10, 7, $contador);
        $pdf->MultiCell(0, 7, utf8_decode($question));

        $pdf->Ln(2);
        return $pdf;
    }

    function pdfSetAnswer($pdf, $rowPollQuestion) {
        $questionId = $rowPollQuestion["pq_id"];
        $obPollAnswer = newClassMod("p_poll_answer", "mod_poll");
        $rsPollAnswer = $obPollAnswer->getAll("pa_pq_id = '" . $questionId . "' and cl_status = 1 ", "cl_order");
        $numPollAnswer = $this->_DB->db_numrows($rsPollAnswer);
        $pdf->SetFont('Arial', '', 10);
        switch ($rowPollQuestion['pq_qt_id']) {
            case 16://Pregunta abierta
                $pdf->Cell(10, 10, "");
                $pdf->Cell(0, 10, "", "B");
                $pdf->Ln(10);
                $pdf->Cell(10, 10, "");
                $pdf->Cell(0, 10, "", "B");
                $pdf->Ln(5);
                break;
            case 9://Ordinal
            case 10://Fraccionamiento
                while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                    $pdf->Cell(15, 10, "");
                    $pdf->Cell(10, 6.5, "", "B");
                    $pdf->Cell(0, 10, utf8_decode($rowPollAnswer['pa_answer']));
                    $pdf->Ln(5);
                }
                break;
            case 7:// Respuesta múltimple
                while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                    $pdf->Cell(15, 10, "");
                    $pdf->Image(PATH_ADMIN . 'images/checkbox.png', 20, ($pdf->getY() + 3), 3.5);
                    $pdf->Cell(0, 10, utf8_decode($rowPollAnswer['pa_answer']));
                    $pdf->Ln(5);
                }
                break;
            default: //Repuesta única

                while ($rowPollAnswer = $this->nextRow($rsPollAnswer)) {
                    $pdf->Cell(15, 10, "");
                    if ($numPollAnswer > 3) {
                        $pdf->Image(PATH_ADMIN . 'images/radio.png', 20, ($pdf->getY() + 3), 3.5);
                        $pdf->Cell(0, 10, utf8_decode($rowPollAnswer['pa_answer']));
                        $pdf->Ln(5);
                    } else {
                        $pdf->Image(PATH_ADMIN . 'images/radio.png', ($pdf->getX() - 4), ($pdf->getY() + 3), 3.5);
                        $pdf->Cell(10, 10, utf8_decode($rowPollAnswer['pa_answer']));
                    }
                }

                if ($numPollAnswer <= 3) {
                    $pdf->Ln(5);
                }
        }
        $pdf->Ln(10);
        if ($pdf->getY() > 240) {
            $pdf->AddPage();
        }
        return $pdf;
    }

}

?>